2007-08-25  Rouquier Philippe <bonfire-app@wanadoo.fr>
	
	fixes for libisofs 0.2.5 and 0.2.8

2007-08-25  Rouquier Philippe <bonfire-app@wanadoo.fr>

	fix potential crash

2007-08-24  Rouquier Philippe <bonfire-app@wanadoo.fr>

	fix memory leak
	
2007-08-24  Rouquier Philippe <bonfire-app@wanadoo.fr>

	build warning fix for libisofs-0.2.8

2007-08-24  Rouquier Philippe <bonfire-app@wanadoo.fr>

	other fix for libisofs-0.2.8

2007-08-24  Rouquier Philippe <bonfire-app@wanadoo.fr>

	fix for libisofs-0.2.8

2007-08-24  Rouquier Philippe <bonfire-app@wanadoo.fr>

	fix conditional build of libisofs 0.2.8

2007-08-24  Luis Medinas  <lmedinas@svn.gnome.org>

	* NEWS:
	* README:
	* src/burn-libisofs.c: (brasero_libisofs_create_volume_thread):

	Added support for libisofs 0.2.8. Update NEWS and README
	
2007-08-24  Luis Medinas  <lmedinas@svn.gnome.org>

	* NEWS:
	* src/brasero-file-chooser.c: (brasero_file_chooser_init):

	Added more mimetypes to the file chooser filter.

2007-08-23  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/bonfire-marshal.c:
	* src/bonfire-marshal.h:

	Remove obsolete files from the branch.

2007-08-20  Luis Medinas  <metalgod@svn.gnome.org>
	
	* AUTHORS:
	* MAINTAINERS:
	* NEWS:

	Update NEWS. Set the bugzilla link to brasero instead of bonfire.

2007-08-17  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Attempt to fix #459023 (2 sec between audio tracks)

2007-08-17  Luis Medinas  <metalgod@svn.gnome.org>

	* NEWS:
	* src/burn-growisofs.c: (brasero_growisofs_init):
	* src/burn-mkisofs.c: (brasero_mkisofs_init),
	(brasero_mkisofs_set_argv):
	* src/burn-readcd.c: (brasero_readcd_set_argv):

	Add complete support for cdrkit. Closes bug #456860.
        Patch by Otavio Salvador <octavio@debian.org> and
        Luis Medinas <lmedinas@svn.gnome.org>.
	Update NEWS.

2007-08-17  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/Makefile.am:

	Remove DISABLE_DEPRECATED from the Makefile
	that is causing problems with Gtk+ API.
	Closes Bug #467301.

2007-08-14  Luis Medinas  <lmedinas@svn.gnome.org>

	* data/Makefile.am:

	Fix previous commit that was a merge from svn trunk. 

2007-08-14  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Attempt to fix #456629 (medium not writable)
	
2007-07-27  Luis Medinas  <lmedinas@svn.gnome.org>

	* NEWS:
	* data/Makefile.am:

	Added patch from bgo #456865 
	Merge from trunk.

2007-07-11  Luis Medinas  <lmedinas@svn.gnome.org>

	* NEWS:
	* configure.in:

	Updates in preparation for 0.6.1 release.
	
2007-08-14  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/scsi/scsi-sg.c: (brasero_sg_send_command):

	Fix memset with swapped arguments. Merge from trunk.

2007-08-14  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/filtered-window.c: (brasero_filtered_dialog_init):

	Fix Filter UI crash. Merge from trunk.

2007-08-13  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Fix 459939 (window size)

2007-07-10  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Fix a last minute bug where rewritable discs were not labelled (but could be used)
	as "writable" if they had data and were closed

2007-07-11  Luis Medinas  <lmedinas@svn.gnome.org>

	* NEWS:

	Update NEWS for 0.6.0 release.

2007-07-11  Luis Medinas  <lmedinas@svn.gnome.org>

	* configure.in:

	Bump to 0.6.0 stable release.

2007-07-11  Luis Medinas  <lmedinas@svn.gnome.org>

	Merge fixes from trunk to brasero_0_6 stable branch
	in preparation for 0.6.0 release.

2007-07-10  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Handle unmounts more subtely and don't unset environment variables
	at mount and unmount times as gnome-mount seems to need them.
	That fixes some failures happening on my system (Fedora 7)

2007-07-09  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Fix a bug in image recording dialog which prevented images
	to be burnt when type was explicitly set to ISO

2007-07-09  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Another attempt at fixing #430117 for good this time

2007-07-03  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/main.c: (brasero_app_parse_options):

	Fix bug #439744.

2007-07-02  Luis Medinas  <lmedinas@svn.gnome.org>

	* MAINTAINERS: Add new mail.
	* README: Add more information about the libburn backend.

2007-06-30  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/filtered-window.c: (brasero_filtered_dialog_init):
	* src/scsi/scsi-get-configuration.h:

	Fix segfault on filter window.
	Fix typos on scsi library.

2007-05-01  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Change status icons to orange and put them in proper folder (status not apps) (Björn Martensen)

2007-05-01  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Revert patch to set minimum window size (it was already implemented)
	but also improved the logic by asking the monitor screen size and
	setting the default size to 85% of it.

2007-05-01  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Fix a stupid cut'n paste

2007-05-01  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Last tangoification (status icons) (Björn Martensen)
	Added 24x24 icons (Michael Monreal)
	
2007-04-20  Philippe Rouquier <bonfire-app@wanadoo.fr>

	another fix for big endian machines

2007-04-17  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/scsi/scsi-get-configuration.h:
	
	Typo for bug #430117.
	Merge from trunk.

2007-04-16  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/scsi/scsi-get-configuration.h:
	* src/scsi/scsi-read-disc-info.h:
	* src/scsi/scsi-read-track-information.h:

	Fixed typos that prevents to compile on Big Endian 
	thanks to Joseph Sacco <jsacco@gnome.org>. 
	Closes bug #430117.
	Merge from trunk.

2007-04-15  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Updated NEWS

2007-04-15  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fixed some wrong medium free space
	Improved recorder selection GUI

2007-04-15  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Removed left g_print debugging statements
	Fixed media size not being checked before burning
	Improved media information display in recorder-selection
	Fixed a potential crash in recorder-selection

2007-04-14  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fixed speeds ordering in properties dialog.

2007-04-14  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Some more new icons designed by Josef Vybíral and Kalle Person

2007-04-14  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Improved debugging/logging facilities
	Try not to block when a device is busy

2007-04-12  Luis Medinas  <lmedinas@svn.gnome.org>

	* configure.in:

	Remove 24x24 action icons

2007-04-11  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Attempt to fix crash

2007-04-11  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Remove icon registration function (not needed anymore)

2007-04-11  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Make burn dialog use action icons

2007-04-11  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix #374700

2007-04-11  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix a build problem without libnotify

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix a stupid mistake whereby every DVD was supposed to be CSS protected

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix #428045

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix #423686

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix #423217

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix #399962 for real this time.

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Move cdrecord parts where it belongs.

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix a bug in dialog requiring media insertion.

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	changed the way we use growisofs to blank:
	- fast now implies nullifying 64 first KiB
	- slow implies reformatting

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Updated libburn support:
	- bumped requirements to 0.3.4
	- added DVD+R(w)/DVD-R(w) writing/blanking/formatting
	- some fix
	- multisession support

	Some fixes:
	- medium remaining capacity
	- unwanted popup in blank dialog
	- fake drives which didn't show up in projects
	- ...

2007-04-06  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Support wodim (cdrkit)

2007-04-06  Philippe Rouquier <bonfire-app@wanadoo.fr>

        Improved library by adding more functions
	Replace as much we can the use of ncb when
	dealing with media functions
	This fixed a number of side bugs namely:
	- the inability to make any difference between the two types of DVD-RW (see #426104 for an example of the type of problems it caused)
	- the inability to have the right size for tracks < 300 kio
	- the inability to detect a protected DVD
	- the inability to translate drive types

	Improved multisession a lot
	Fixed the creation of multisession DVD+/-R by not using DAO
	When a multisession disc (not RW) is inserted only show free space
	Allow to append any kind of tracks to the latter discs (audio, data)

	A couple of other small bugs were fixed here and there

2007-03-31  Philippe Rouquier <bonfire-app@wanadoo.fr>

        Another fix.

2007-03-31  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Just minor fixes.

2007-03-28  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Extended library:
	brasero can retrieve write speeds by itself (Fixes #366183)
	brasero can check if a medium is protected through CSS

	Fixed a bug introduced in previous patch whereby properties button
	was greyed out when multisession was used.
	Some small improvements to previously committed code.
	

2007-03-28  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix multisession button state in data project view.
	Don't retrieve medium information if drive has not finished loading.
	Fix introduced bug where wrong next session address was used.
	Don't show "append data" switch in data burn dialog; rather check if
	multisession button in data project is pressed.

2007-03-27  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Clean some forgotten debugging crufts.
        Use the library and not cdrecord to get multisession param in mkisofs.

2007-03-27  Philippe Rouquier <bonfire-app@wanadoo.fr>

        Added a small SCSI library to fix bug 380204.
	Other benefits will be drawn from this library in later patches.

2007-03-07  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/burn-caps.c:
	(brasero_burn_caps_create_recorder_for_blanking):

	Libburn is suppose to support dvd+rw and dvd-rw so
	adding support to brasero trunk.

2007-03-04  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/main.c: (on_about_cb):

	Update About Homepage.

2007-02-27  Luis Medinas <lmedinas@svn.gnome.org>

	Merge work done on stable branch to trunk:
	New icon for blank action by Josef Vybiral <newsgroups@vybiral.info>
	New brasero icon based on the old one but tango-ified.
	Done by Ulisse <ulisail@yahoo.it>.
	Fix warning (#378061)
	Fix audio project title set to "null" (#401340)
	Enable large file support

2007-02-12  Rouquier Philippe <bonfire-app@wanadoo.fr>

	New brasero icon
	Fix for about dialog that didn't show the icon


2007-02-07  Luis Medinas  <metalgod@gentoo.org>

	* src/burn-mkisofs.c: (brasero_mkisofs_set_argv_image):

	Use -quiet instead of -q

2007-02-04  Luis Medinas  <metalgod@gentoo.org>

	* data/brasero.desktop.in:

	Minor HIG change on brasero desktop Name
	Closes bgo #403375

2007-01-23  Luis Medinas  <metalgod@gentoo.org>

	* configure.in:

	libisofs dependency to >=0.2.4.

2007-01-23  Luis Medinas  <metalgod@gentoo.org>

	* src/burn-libburn-common.c:
	(brasero_libburn_common_process_message),
	(brasero_libburn_common_clock_id):
	* src/burn-libisofs.c:

	Added support for libisofs >=0.2.4 patch from 
	Denis Leroy <denis@poolshark.org>. Closes bgo #395594.
	
2007-01-11  Luis Medinas  <metalgod@gentoo.org>

	* src/burn-dialog.c: (brasero_burn_dialog_show_log):

	Change logs size to 1MB that is enough fixes bgo # 377198

2007-01-11  Luis Medinas  <metalgod@gentoo.org>

	* MAINTAINERS:

	Add myself as a maintainer

2006-11-28  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/async-job-manager.c:

	Forgot to remove some unneeded files

2006-11-28  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/async-job-manager.h:

	Forgot to remove some uneeded files

2006-11-28  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/Makefile.am:
	* src/audio-disc.c: (brasero_audio_disc_init),
	(brasero_audio_disc_set_row_from_metadata),
	(brasero_audio_disc_result), (brasero_audio_disc_add_uri_real),
	(brasero_audio_disc_cancel_monitoring),
	(brasero_audio_disc_inotify_attributes_changed):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_image_info):
	* src/brasero-project-size.c: (brasero_project_size_disc_added_cb),
	(brasero_project_size_add_real_medias),
	(brasero_project_get_ruler_height),
	(brasero_project_get_active_drive):
	* src/brasero-project-size.h:
	* src/brasero-vfs.c: (brasero_vfs_check_for_parent_symlink),
	(brasero_utils_get_symlink_target), (brasero_vfs_info_destroy),
	(brasero_vfs_info_thread), (brasero_vfs_get_info),
	(brasero_vfs_load_result), (brasero_vfs_load_thread),
	(brasero_vfs_get_metadata), (brasero_vfs_count_result_data),
	(brasero_vfs_get_count), (brasero_vfs_playlist_destroy),
	(brasero_vfs_playlist_subtask_result),
	(brasero_vfs_playlist_result), (brasero_vfs_start_end_playlist_cb),
	(brasero_vfs_playlist_thread), (brasero_vfs_stop_all),
	(brasero_vfs_compare_unprocessed_task), (brasero_vfs_find_urgent):
	* src/brasero-vfs.h:
	* src/burn-basics.c: (brasero_track_source_free):
	* src/burn-caps.c: (brasero_burn_caps_get_flags):
	* src/burn-dialog.c: (brasero_burn_dialog_update_info),
	(brasero_burn_dialog_media_removed_cb),
	(brasero_burn_dialog_get_local_source),
	(brasero_burn_dialog_setup_session):
	* src/burn-dvdcss.c: (brasero_dvdcss_get_size_real),
	(brasero_dvdcss_create_scrambled_sectors_map),
	(brasero_dvdcss_write_image_thread):
	* src/burn-iso-field.c: (brasero_iso9660_get_733_val):
	* src/burn-iso-field.h:
	* src/burn-iso9660.c: (brasero_iso9660_seek),
	(brasero_iso9660_next_block), (brasero_iso9660_get_susp),
	(brasero_iso9660_next_record), (brasero_iso9660_read_file_record),
	(brasero_iso9660_read_directory_record),
	(brasero_iso9660_read_directory_records),
	(brasero_iso9660_ctx_init), (brasero_iso9660_get_contents):
	* src/burn-iso9660.h:
	* src/burn-libisofs.c: (brasero_libisofs_sort_graft_points):
	* src/burn-readcd.c: (brasero_readcd_get_size),
	(brasero_readcd_argv_set_iso_boundary):
	* src/burn-sum.c: (brasero_burn_sum_disc):
	* src/burn-susp.c: (brasero_susp_ctx_clean), (brasero_susp_SP),
	(brasero_susp_NM), (brasero_susp_CL), (brasero_susp_PL),
	(brasero_susp_read):
	* src/burn-susp.h:
	* src/burn-volume.c: (brasero_volume_file_free),
	(brasero_volume_get_files), (brasero_volume_file_to_path),
	(brasero_volume_file_from_path), (brasero_volume_file_size):
	* src/burn-volume.h:
	* src/data-disc.c: (brasero_data_disc_iface_disc_init),
	(brasero_data_disc_notification_free),
	(brasero_data_disc_notification_closed),
	(brasero_data_disc_notify_user_real),
	(brasero_data_disc_notify_user), (brasero_data_disc_fill_toolbar),
	(brasero_data_disc_init), (brasero_data_disc_finalize),
	(brasero_data_disc_name_exist_dialog),
	(brasero_data_disc_tree_check_name_validity),
	(brasero_data_disc_remove_bogus_child),
	(brasero_data_disc_tree_update_directory_real),
	(brasero_data_disc_tree_path_to_disc_path),
	(brasero_data_disc_disc_path_to_tree_path),
	(brasero_data_disc_tree_remove_path),
	(brasero_data_disc_tree_new_path),
	(brasero_data_disc_tree_set_path_from_info),
	(brasero_data_disc_tree_new_empty_folder_real),
	(brasero_data_disc_tree_new_loading_row),
	(_foreach_remove_created_dirs_cb), (brasero_data_disc_clean),
	(brasero_data_disc_reset_real), (brasero_data_disc_unreadable_new),
	(brasero_data_disc_unreadable_free),
	(brasero_data_disc_restored_new),
	(brasero_data_disc_restored_free),
	(brasero_data_disc_restore_unreadable_destroy),
	(brasero_data_disc_restore_unreadable),
	(brasero_data_disc_restore_unreadable_cb),
	(brasero_data_disc_filtered_restore),
	(brasero_data_disc_update_hashes), (brasero_data_disc_dir_free),
	(brasero_data_disc_remove_children_destroy_cb),
	(brasero_data_disc_remove_children_async_cb),
	(_foreach_remove_children_files_cb),
	(brasero_data_disc_remove_children), (brasero_data_disc_graft_new),
	(brasero_data_disc_graft_remove),
	(_foreach_move_children_paths_cb),
	(brasero_data_disc_graft_children_move),
	(_foreach_unreference_grafted_cb),
	(brasero_data_disc_graft_changed), (brasero_data_disc_path_to_uri),
	(brasero_data_disc_expose_grafted_destroy_cb),
	(brasero_data_disc_expose_grafted_cb),
	(brasero_data_disc_expose_grafted),
	(brasero_data_disc_tree_new_imported_session_file),
	(brasero_data_disc_expose_imported_session_file),
	(brasero_data_disc_directory_entry_free),
	(brasero_data_disc_directory_contents_free),
	(brasero_data_disc_directory_entry_error),
	(brasero_data_disc_expose_path_real),
	(brasero_data_disc_expose_end), (brasero_data_disc_expose_result),
	(brasero_data_disc_expose_insert_path_real),
	(brasero_data_disc_expose_path),
	(brasero_data_disc_row_collapsed_cb),
	(brasero_data_disc_row_expanded_cb), (brasero_data_disc_obj_new),
	(brasero_data_disc_file_new),
	(_foreach_lookup_symlink_children_cb),
	(brasero_data_disc_symlink_is_recursive),
	(_find_name_in_info_list),
	(brasero_data_disc_get_unique_valid_utf8_name),
	(brasero_data_disc_get_unique_valid_utf8_path),
	(brasero_data_disc_symlink_new),
	(brasero_data_disc_symlink_list_new),
	(brasero_data_disc_invalid_utf8_new),
	(brasero_data_disc_invalid_utf8_list_new),
	(brasero_data_disc_dir_contents_end), (_check_for_restored),
	(brasero_data_disc_load_result),
	(brasero_data_disc_directory_load),
	(brasero_data_disc_directory_priority_cb),
	(brasero_data_disc_directory_priority),
	(brasero_data_disc_remove_row_in_dirs_hash),
	(brasero_data_disc_delete_row_cb),
	(braseri_data_disc_delete_row_end),
	(brasero_data_disc_is_session_path_deleted),
	(brasero_data_disc_path_remove_user),
	(brasero_data_disc_replace_file),
	(brasero_data_disc_delete_selected), (brasero_data_disc_clear),
	(brasero_data_disc_reset),
	(brasero_data_disc_restore_excluded_children_destroy_cb),
	(brasero_data_disc_restore_excluded_children_cb),
	(_foreach_restore_strictly_excluded_children_cb),
	(brasero_data_disc_restore_excluded_children),
	(brasero_data_disc_replace_symlink_children_destroy_cb),
	(brasero_data_disc_replace_symlink_children_cb),
	(brasero_data_disc_replace_symlink_children),
	(brasero_data_disc_new_row_destroy_cb),
	(brasero_data_disc_new_row_cb),
	(brasero_data_disc_get_dir_contents_destroy),
	(brasero_data_disc_get_dir_contents_results),
	(brasero_data_disc_add_directory_contents),
	(brasero_data_disc_add_uri_real),
	(brasero_data_disc_remove_imported_session),
	(brasero_data_disc_import_session_error),
	(brasero_data_disc_import_session_cb),
	(brasero_data_disc_update_multi_button_state),
	(brasero_data_disc_media_added), (brasero_data_disc_set_drive),
	(_foreach_grafts_make_list_cb), (brasero_data_disc_path_create),
	(brasero_data_disc_graft_check_destroy),
	(brasero_data_disc_graft_check_result),
	(brasero_data_disc_graft_find_first_parent),
	(brasero_data_disc_graft_check_parent),
	(brasero_data_disc_graft_check_existence),
	(brasero_data_disc_graft_check),
	(brasero_data_disc_load_graft_end),
	(brasero_data_disc_load_graft_result),
	(brasero_data_disc_load_restored_end),
	(brasero_data_disc_load_restored_result),
	(brasero_data_disc_load_track), (brasero_data_disc_restore_row),
	(brasero_data_disc_move_row_simple_file_destroy_cb),
	(brasero_data_disc_move_row_simple_file_cb),
	(brasero_data_disc_move_row_simple_file),
	(brasero_data_disc_move_imported_session_file),
	(brasero_data_disc_move_row),
	(brasero_data_disc_drag_dest_drop_row_possible),
	(brasero_data_disc_move_to_dest),
	(brasero_data_disc_native_data_received),
	(brasero_data_disc_drag_data_received_dragging),
	(brasero_data_disc_drag_data_received_cb),
	(brasero_data_disc_drag_get_cb),
	(brasero_data_disc_drag_motion_cb),
	(brasero_data_disc_drag_begin_cb), (brasero_data_disc_drag_end_cb),
	(brasero_data_disc_open_file),
	(brasero_data_disc_rename_activated),
	(brasero_data_disc_tree_select_function),
	(brasero_data_disc_button_pressed_cb),
	(brasero_data_disc_name_edited_cb),
	(brasero_data_disc_get_selected_uri),
	(brasero_data_disc_inotify_create_file_event_destroy_cb),
	(brasero_data_disc_inotify_create_paths),
	(brasero_data_disc_inotify_create_file_event_cb),
	(brasero_data_disc_inotify_create_file_event),
	(brasero_data_disc_inotify_attributes_event_cb),
	(brasero_data_disc_inotify_attributes_event_destroy_cb),
	(brasero_data_disc_inotify_attributes_event),
	(brasero_data_disc_inotify_modify_file_cb),
	(brasero_data_disc_inotify_modify_file_end),
	(brasero_data_disc_inotify_modify_file):
	* src/data-disc.h:
	* src/disc.c: (brasero_disc_fill_toolbar),
	(brasero_disc_set_current_drive):
	* src/disc.h:
	* src/filtered-window.c: (brasero_filtered_dialog_class_init):
	* src/main.c:
	* src/metadata.c: (brasero_metadata_finalize), (foreach_tag):
	* src/metadata.h:
	* src/mime-filter.c: (brasero_mime_filter_init),
	(brasero_mime_filter_add_mime):
	* src/play-list.c: (brasero_playlist_init),
	(brasero_playlist_destroy), (brasero_playlist_dialog_error),
	(brasero_playlist_parse_end), (brasero_playlist_parse_result),
	(brasero_playlist_insert), (brasero_playlist_add_uri_playlist):
	* src/project-type-chooser.c:
	(brasero_project_type_chooser_new_item):
	* src/project.c: (brasero_project_disc_changed_cb),
	(brasero_project_switch):
	* src/recorder-selection.c:
	(brasero_recorder_selection_update_info),
	(brasero_recorder_selection_update_drive_info):
	* src/search.c: (brasero_search_init),
	(brasero_search_add_hit_to_tree):
	* src/tray.c: (brasero_tray_icon_set_progress):
	* src/utils.c: (brasero_utils_free), (brasero_utils_register_icon),
	(brasero_utils_init), (brasero_utils_escape_string),
	(brasero_utils_get_use_info_notebook):
	* src/utils.h:

	BraseroDataDisc/BraseroPlaylist only use BraseroVFS
	Minor GUI improvements
	Added multisession to display first session in BraseroDataDisc
	Drop icon caching
	Miscellaneous things (fixes/improvements)

2006-11-22  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/audio-disc.c: (brasero_audio_disc_fill_toolbar):
	* src/blank-dialog.c: (brasero_blank_dialog_cancel_dialog):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_init):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_init):
	* src/brasero-tool-dialog.c: (brasero_tool_dialog_set_button):
	* src/burn-dialog.c: (brasero_burn_dialog_data_loss_cb),
	(brasero_burn_dialog_rewritable_cb),
	(brasero_burn_dialog_disable_joliet_cb),
	(brasero_burn_dialog_notify_error),
	(brasero_burn_dialog_success_run),
	(brasero_burn_dialog_cancel_dialog):
	* src/data-disc.c: (brasero_data_disc_fill_toolbar):
	* src/disc-copy-dialog.c: (brasero_disc_copy_dialog_init):
	* src/project.c: (brasero_project_init):
	* src/search.c: (brasero_search_init):
	* src/utils.c: (brasero_utils_make_button):
	* src/utils.h:

	Fix for icon sizes

2006-11-22  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* data/brasero.desktop.in:
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_init):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_init):
	* src/brasero-project-size.c: (brasero_project_size_disc_added_cb),
	(brasero_project_size_add_real_medias):
	* src/disc-copy-dialog.c: (brasero_disc_copy_dialog_init):
	* src/main.c: (brasero_app_create_app):
	* src/project.c: (brasero_project_init):
	* src/tray.c: (brasero_tray_icon_init),
	(brasero_tray_icon_set_progress):
	* src/utils.c: (brasero_utils_init):
	* src/utils.h:

	Another fix for icons

2006-11-22  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* data/icons/16x16/actions/Makefile.am:
	* data/icons/16x16/actions/brasero-action-burn.png:
	* data/icons/16x16/apps/Makefile.am:
	* data/icons/16x16/apps/brasero-disc-00.png:
	* data/icons/16x16/apps/brasero-disc-05.png:
	* data/icons/16x16/apps/brasero-disc-10.png:
	* data/icons/16x16/apps/brasero-disc-100.png:
	* data/icons/16x16/apps/brasero-disc-15.png:
	* data/icons/16x16/apps/brasero-disc-20.png:
	* data/icons/16x16/apps/brasero-disc-25.png:
	* data/icons/16x16/apps/brasero-disc-30.png:
	* data/icons/16x16/apps/brasero-disc-35.png:
	* data/icons/16x16/apps/brasero-disc-40.png:
	* data/icons/16x16/apps/brasero-disc-45.png:
	* data/icons/16x16/apps/brasero-disc-50.png:
	* data/icons/16x16/apps/brasero-disc-55.png:
	* data/icons/16x16/apps/brasero-disc-60.png:
	* data/icons/16x16/apps/brasero-disc-65.png:
	* data/icons/16x16/apps/brasero-disc-70.png:
	* data/icons/16x16/apps/brasero-disc-75.png:
	* data/icons/16x16/apps/brasero-disc-80.png:
	* data/icons/16x16/apps/brasero-disc-85.png:
	* data/icons/16x16/apps/brasero-disc-90.png:
	* data/icons/16x16/apps/brasero-disc-95.png:
	* data/icons/16x16/apps/brasero.png:
	* data/icons/24x24/apps/Makefile.am:
	* data/icons/scalable/actions/Makefile.am:
	* data/icons/scalable/actions/brasero-action-burn.png:

	Upteenth fix for icon mess

2006-11-22  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* data/icons/scalable/apps/brasero-disc-00.png:
	* data/icons/scalable/apps/brasero-disc-05.png:
	* data/icons/scalable/apps/brasero-disc-10.png:
	* data/icons/scalable/apps/brasero-disc-100.png:
	* data/icons/scalable/apps/brasero-disc-15.png:
	* data/icons/scalable/apps/brasero-disc-20.png:
	* data/icons/scalable/apps/brasero-disc-25.png:
	* data/icons/scalable/apps/brasero-disc-30.png:
	* data/icons/scalable/apps/brasero-disc-35.png:
	* data/icons/scalable/apps/brasero-disc-40.png:
	* data/icons/scalable/apps/brasero-disc-45.png:
	* data/icons/scalable/apps/brasero-disc-50.png:
	* data/icons/scalable/apps/brasero-disc-55.png:
	* data/icons/scalable/apps/brasero-disc-60.png:
	* data/icons/scalable/apps/brasero-disc-65.png:
	* data/icons/scalable/apps/brasero-disc-70.png:
	* data/icons/scalable/apps/brasero-disc-75.png:
	* data/icons/scalable/apps/brasero-disc-80.png:
	* data/icons/scalable/apps/brasero-disc-85.png:
	* data/icons/scalable/apps/brasero-disc-90.png:
	* data/icons/scalable/apps/brasero-disc-95.png:
	* data/icons/scalable/apps/brasero.png:
	* data/icons/scalable/brasero.svg:

	Fix previous mess up

2006-11-22  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* configure.in:
	* data/Makefile.am:
	* data/brasero.png:
	* data/cd-action-burn-16.png:
	* data/cd-action-burn.png:
	* data/disc-00.png:
	* data/disc-05.png:
	* data/disc-10.png:
	* data/disc-100.png:
	* data/disc-15.png:
	* data/disc-20.png:
	* data/disc-25.png:
	* data/disc-30.png:
	* data/disc-35.png:
	* data/disc-40.png:
	* data/disc-45.png:
	* data/disc-50.png:
	* data/disc-55.png:
	* data/disc-60.png:
	* data/disc-65.png:
	* data/disc-70.png:
	* data/disc-75.png:
	* data/disc-80.png:
	* data/disc-85.png:
	* data/disc-90.png:
	* data/disc-95.png:
	* data/icons/16x16/Makefile.am:
	* data/icons/16x16/actions/Makefile.am:
	* data/icons/16x16/actions/brasero-action-burn.png:
	* data/icons/16x16/apps/Makefile.am:
	* data/icons/16x16/apps/brasero-disc-00.png:
	* data/icons/16x16/apps/brasero-disc-05.png:
	* data/icons/16x16/apps/brasero-disc-10.png:
	* data/icons/16x16/apps/brasero-disc-100.png:
	* data/icons/16x16/apps/brasero-disc-15.png:
	* data/icons/16x16/apps/brasero-disc-20.png:
	* data/icons/16x16/apps/brasero-disc-25.png:
	* data/icons/16x16/apps/brasero-disc-30.png:
	* data/icons/16x16/apps/brasero-disc-35.png:
	* data/icons/16x16/apps/brasero-disc-40.png:
	* data/icons/16x16/apps/brasero-disc-45.png:
	* data/icons/16x16/apps/brasero-disc-50.png:
	* data/icons/16x16/apps/brasero-disc-55.png:
	* data/icons/16x16/apps/brasero-disc-60.png:
	* data/icons/16x16/apps/brasero-disc-65.png:
	* data/icons/16x16/apps/brasero-disc-70.png:
	* data/icons/16x16/apps/brasero-disc-75.png:
	* data/icons/16x16/apps/brasero-disc-80.png:
	* data/icons/16x16/apps/brasero-disc-85.png:
	* data/icons/16x16/apps/brasero-disc-90.png:
	* data/icons/16x16/apps/brasero-disc-95.png:
	* data/icons/16x16/apps/brasero.png:
	* data/icons/16x16/brasero.png:
	* data/icons/24x24/Makefile.am:
	* data/icons/24x24/actions/Makefile.am:
	* data/icons/24x24/actions/brasero-action-burn.png:
	* data/icons/24x24/apps/Makefile.am:
	* data/icons/24x24/apps/brasero-disc-00.png:
	* data/icons/24x24/apps/brasero-disc-05.png:
	* data/icons/24x24/apps/brasero-disc-10.png:
	* data/icons/24x24/apps/brasero-disc-100.png:
	* data/icons/24x24/apps/brasero-disc-15.png:
	* data/icons/24x24/apps/brasero-disc-20.png:
	* data/icons/24x24/apps/brasero-disc-25.png:
	* data/icons/24x24/apps/brasero-disc-30.png:
	* data/icons/24x24/apps/brasero-disc-35.png:
	* data/icons/24x24/apps/brasero-disc-40.png:
	* data/icons/24x24/apps/brasero-disc-45.png:
	* data/icons/24x24/apps/brasero-disc-50.png:
	* data/icons/24x24/apps/brasero-disc-55.png:
	* data/icons/24x24/apps/brasero-disc-60.png:
	* data/icons/24x24/apps/brasero-disc-65.png:
	* data/icons/24x24/apps/brasero-disc-70.png:
	* data/icons/24x24/apps/brasero-disc-75.png:
	* data/icons/24x24/apps/brasero-disc-80.png:
	* data/icons/24x24/apps/brasero-disc-85.png:
	* data/icons/24x24/apps/brasero-disc-90.png:
	* data/icons/24x24/apps/brasero-disc-95.png:
	* data/icons/24x24/apps/brasero.png:
	* data/icons/24x24/brasero.png:
	* data/icons/32x32/Makefile.am:
	* data/icons/32x32/apps/Makefile.am:
	* data/icons/32x32/apps/brasero-disc-00.png:
	* data/icons/32x32/apps/brasero-disc-05.png:
	* data/icons/32x32/apps/brasero-disc-10.png:
	* data/icons/32x32/apps/brasero-disc-100.png:
	* data/icons/32x32/apps/brasero-disc-15.png:
	* data/icons/32x32/apps/brasero-disc-20.png:
	* data/icons/32x32/apps/brasero-disc-25.png:
	* data/icons/32x32/apps/brasero-disc-30.png:
	* data/icons/32x32/apps/brasero-disc-35.png:
	* data/icons/32x32/apps/brasero-disc-40.png:
	* data/icons/32x32/apps/brasero-disc-45.png:
	* data/icons/32x32/apps/brasero-disc-50.png:
	* data/icons/32x32/apps/brasero-disc-55.png:
	* data/icons/32x32/apps/brasero-disc-60.png:
	* data/icons/32x32/apps/brasero-disc-65.png:
	* data/icons/32x32/apps/brasero-disc-70.png:
	* data/icons/32x32/apps/brasero-disc-75.png:
	* data/icons/32x32/apps/brasero-disc-80.png:
	* data/icons/32x32/apps/brasero-disc-85.png:
	* data/icons/32x32/apps/brasero-disc-90.png:
	* data/icons/32x32/apps/brasero-disc-95.png:
	* data/icons/48x48/Makefile.am:
	* data/icons/48x48/apps/Makefile.am:
	* data/icons/48x48/apps/brasero-disc-00.png:
	* data/icons/48x48/apps/brasero-disc-05.png:
	* data/icons/48x48/apps/brasero-disc-10.png:
	* data/icons/48x48/apps/brasero-disc-100.png:
	* data/icons/48x48/apps/brasero-disc-15.png:
	* data/icons/48x48/apps/brasero-disc-20.png:
	* data/icons/48x48/apps/brasero-disc-25.png:
	* data/icons/48x48/apps/brasero-disc-30.png:
	* data/icons/48x48/apps/brasero-disc-35.png:
	* data/icons/48x48/apps/brasero-disc-40.png:
	* data/icons/48x48/apps/brasero-disc-45.png:
	* data/icons/48x48/apps/brasero-disc-50.png:
	* data/icons/48x48/apps/brasero-disc-55.png:
	* data/icons/48x48/apps/brasero-disc-60.png:
	* data/icons/48x48/apps/brasero-disc-65.png:
	* data/icons/48x48/apps/brasero-disc-70.png:
	* data/icons/48x48/apps/brasero-disc-75.png:
	* data/icons/48x48/apps/brasero-disc-80.png:
	* data/icons/48x48/apps/brasero-disc-85.png:
	* data/icons/48x48/apps/brasero-disc-90.png:
	* data/icons/48x48/apps/brasero-disc-95.png:
	* data/icons/Makefile.am:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/apps/Makefile.am:
	* data/icons/scalable/apps/brasero.svg:
	* src/blank-dialog.c: (brasero_blank_dialog_new),
	(brasero_blank_dialog_device_opts_setup),
	(brasero_blank_dialog_media_changed):
	* src/burn-caps.c: (brasero_burn_caps_get_flags):
	* src/burn-dvdcss.c: (brasero_dvdcss_library_init),
	(brasero_dvdcss_get_size_real):
	* src/burn-iso9660.c: (brasero_iso9660_get_size):
	* src/burn-iso9660.h:
	* src/burn-volume.c: (brasero_volume_get_size),
	(brasero_volume_get_files):
	* src/burn-volume.h:
	* src/burn.c: (brasero_burn_wait_for_dest_media):
	* src/data-disc.c: (brasero_data_disc_unreadable_dialog):
	* src/recorder-selection.c:
	(brasero_recorder_selection_update_info):
	* src/utils.c: (brasero_utils_get_time_string),
	(brasero_utils_get_time_string_from_size):

	Fix #376813 – problem with filenames that contain whitespace ...
	Partly fix #374700: still missing tango icons
	Fix libburn capabilities about multisession
	Marked some strings for translations
	Removed unneeded dialogs

2006-11-20  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/data-disc.c: (brasero_data_disc_tree_check_name_validity):

	Really don't allow empty filenames this time

2006-11-20  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* configure.in:
	* data/brasero.schemas.in:
	* src/data-disc.c: (brasero_data_disc_get_type),
	(brasero_data_disc_filter_notify_cb),
	(brasero_data_disc_filter_hidden_cb),
	(brasero_data_disc_filter_broken_sym_cb),
	(brasero_data_disc_base_init), (brasero_data_disc_fill_toolbar),
	(brasero_data_disc_tree_new_loading_row),
	(brasero_data_disc_reset_real), (brasero_data_disc_unreadable_new),
	(brasero_data_disc_unreadable_free),
	(brasero_data_disc_restored_new),
	(brasero_data_disc_restored_free),
	(brasero_data_disc_restore_unreadable),
	(brasero_data_disc_filtered_restore), (_foreach_add_unreadable),
	(brasero_data_disc_filtered_files_clicked_cb),
	(brasero_data_disc_update_hashes), (_check_for_restored),
	(brasero_data_disc_load_thread):
	* src/filtered-window.c: (brasero_filtered_dialog_init),
	(brasero_filtered_dialog_finalize),
	(brasero_filtered_dialog_filter_hidden_cb),
	(brasero_filtered_dialog_filter_broken_sym_cb),
	(brasero_filtered_dialog_filter_notify_cb),
	(brasero_filtered_dialog_gconf_notify_cb),
	(brasero_filtered_dialog_add),
	(brasero_filtered_dialog_get_status):
	* src/filtered-window.h:
	* src/main.c: (main):
	* src/search-entry.c: (brasero_search_entry_save_history):
	* src/utils.c: (brasero_utils_is_gid_in_groups):

	Don't allow empty names when renaming
	Update parent directory file count after restoring files
	Reworked the filter dialog GUI
	New options to chose what type of files to filter
	Re-add libnotify dependency to warn the user when files were filtered
	Fixed a crash with groups

2006-11-17  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* po/POTFILES.in:
	* src/Makefile.am:
	* src/brasero-ncb.c:
	* src/brasero-project-size.c:
	* src/burn-caps.c: (brasero_burn_caps_get_imager_default_format),
	(brasero_burn_caps_create_imager):
	* src/burn-dialog.c: (brasero_burn_dialog_show_log):
	* src/burn-dvdcss-private.h:
	* src/burn-dvdcss.c: (brasero_dvdcss_get_type),
	(brasero_dvdcss_library_init), (brasero_dvdcss_iface_init_image),
	(brasero_dvdcss_class_init), (brasero_dvdcss_init),
	(brasero_dvdcss_stop_real), (brasero_dvdcss_clean_output),
	(brasero_dvdcss_finalize), (brasero_dvdcss_new),
	(brasero_dvdcss_get_size_real), (brasero_dvdcss_set_source),
	(brasero_dvdcss_set_output_type), (brasero_dvdcss_set_output),
	(brasero_dvdcss_thread_finished),
	(brasero_dvdcss_write_sector_to_fd),
	(brasero_dvdcss_create_scrambled_sectors_map),
	(brasero_dvdcss_sort_ranges), (brasero_dvdcss_write_image_thread),
	(brasero_dvdcss_write_image_to_fd),
	(brasero_dvdcss_write_image_to_file), (brasero_dvdcss_start),
	(brasero_dvdcss_stop), (brasero_dvdcss_get_track),
	(brasero_dvdcss_get_size), (brasero_dvdcss_get_track_type):
	* src/burn-dvdcss.h:
	* src/burn-growisofs.c: (brasero_growisofs_set_argv_record):
	* src/burn-iso9660.c: (brasero_iso9660_is_primary_descriptor),
	(brasero_iso9660_get_size), (brasero_iso9660_get_label),
	(brasero_iso9660_read_directory_records),
	(brasero_iso9660_get_contents):
	* src/burn-iso9660.h:
	* src/burn-readcd.c:
	* src/burn-sum.c:
	* src/burn-task.c: (brasero_task_get_rate):
	* src/burn-volume.c: (brasero_volume_file_free),
	(brasero_volume_get_primary_from_file),
	(brasero_volume_get_primary), (brasero_volume_is_valid),
	(brasero_volume_is_iso9660), (brasero_volume_get_label),
	(brasero_volume_get_size), (brasero_volume_get_files):
	* src/burn-volume.h:
	* src/burn.c: (brasero_burn_imager_get_track):
	* src/progress.c: (brasero_burn_progress_set_action):
	* src/progress.h:
	* src/recorder-selection.c:
	(brasero_recorder_selection_get_new_image_path):
	* src/tray.c: (brasero_tray_icon_set_progress):

	New feature: video DVD copy (require libdvdcss at run-time)
	Fixed tray not showing progress
	Fixed session logs too big to be displayed
	Fixed file forgotten in POTFILES.in

2006-11-14  Luca Ferretti  <elle.uca@libero.it>

	* src/utils.c: (brasero_utils_get_use_info_notebook):
	Fix bug #374596

2006-11-14  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* configure.in:

	Bumped version to 0.5.90 (unstable)

2006-11-14  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* NEWS:
	* configure.in:
	* src/audio-disc.c: (brasero_audio_disc_add_dir):
	* src/blank-dialog.c: (brasero_blank_dialog_cancel_dialog):
	* src/burn-dialog.c: (brasero_burn_dialog_insert_disc_cb),
	(brasero_burn_dialog_data_loss_cb),
	(brasero_burn_dialog_rewritable_cb),
	(brasero_burn_dialog_disable_joliet_cb),
	(brasero_burn_dialog_cancel_dialog):
	* src/main.c: (on_about_cb):
	* src/project.c: (brasero_project_check_default_burning_app):

	Bumped version number
	Updated NEWS
	Fix for #374710 (Luca Feretti)
	Fix for #374677 (Luca Feretti)

2006-11-13  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* data/Makefile.am:
	* data/cd-action-burn-16.png:
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_set_state),
	(brasero_disc_option_set_title_widget):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_init):
	* src/brasero-ncb.c: (NCB_MEDIA_GET_FS_TYPE),
	(NCB_MEDIA_HAS_VALID_FS), (NCB_MEDIA_IS_APPENDABLE),
	(NCB_DRIVE_MEDIA_GET_TYPE):
	* src/brasero-ncb.h:
	* src/brasero-project-size.c: (brasero_project_size_build_menu),
	(brasero_project_size_scroll_event),
	(brasero_project_size_find_proper_drive),
	(brasero_project_size_set_context),
	(brasero_project_size_disc_added_cb),
	(brasero_project_size_add_real_medias):
	* src/burn-caps.c: (brasero_burn_caps_get_flags):
	* src/burn-iso9660.c: (brasero_volume_get_primary),
	(brasero_iso9660_get_733_val),
	(brasero_volume_is_iso9660_primary_real),
	(brasero_iso9660_get_size), (brasero_iso9660_get_label),
	(brasero_volume_is_iso9660), (brasero_volume_is_valid):
	* src/burn-iso9660.h:
	* src/burn-libisofs.c: (brasero_libisofs_write_image_to_fd_thread),
	(brasero_libisofs_write_image_to_fd):
	* src/burn-process.c: (brasero_process_read_stdout),
	(brasero_process_setup_channel), (brasero_process_start):
	* src/burn.c: (brasero_burn_check_media),
	(brasero_burn_run_imager):
	* src/data-disc.c: (brasero_data_disc_delete_selected),
	(brasero_data_disc_name_edited_cb):
	* src/main.c: (main):
	* src/project.c: (brasero_project_get_proportion),
	(brasero_project_init):
	* src/recorder-selection.c:
	(brasero_recorder_selection_update_info):
	* src/utils.c: (brasero_utils_init), (brasero_utils_make_button):
	* src/utils.h:

	Fixed burn icons (added 16x16)
	Fixed a crash when removing a file whose name is being edited
	More fixes for DVD+RW
	Fixed file descriptor leak

2006-11-11  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/Makefile.am:
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_set_state):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_image_info_cb):
	* src/brasero-ncb.c: (try_hidden_locations), (create_command),
	(NCB_MEDIA_HAS_VALID_FS), (NCB_DRIVE_MEDIA_GET_TYPE):
	* src/brasero-ncb.h:
	* src/brasero-project-size.c: (brasero_project_size_build_menu),
	(brasero_project_size_scroll_event),
	(brasero_project_size_find_proper_drive),
	(brasero_project_size_set_context),
	(brasero_project_size_disc_added_cb),
	(brasero_project_size_add_real_medias):
	* src/burn-basics.c: (brasero_track_source_get_image_localpath):
	* src/burn-basics.h:
	* src/burn-caps.c: (brasero_burn_caps_get_flags),
	(brasero_burn_caps_blanking_get_supported_flags),
	(brasero_burn_caps_create_recorder),
	(brasero_burn_caps_create_recorder_for_blanking):
	* src/burn-cdrecord.c: (brasero_cdrecord_set_argv_record):
	* src/burn-dvd-rw-format.c: (brasero_dvd_rw_format_set_flags),
	(brasero_dvd_rw_format_read_stderr),
	(brasero_dvd_rw_format_set_argv):
	* src/burn-growisofs.c: (brasero_growisofs_set_source),
	(brasero_growisofs_set_argv_record):
	* src/burn-iso9660.c: (brasero_volume_get_primary),
	(brasero_iso9660_get_733_val), (brasero_iso9660_get_size),
	(brasero_iso9660_get_label):
	* src/burn-iso9660.h:
	* src/burn-libburn.c: (brasero_libburn_set_source),
	(brasero_libburn_pre_init), (brasero_libburn_setup_disc):
	* src/burn-mkisofs.c: (brasero_mkisofs_set_argv_image):
	* src/burn-readcd.c: (brasero_readcd_get_size),
	(brasero_readcd_argv_set_iso_boundary):
	* src/burn-sum.c: (brasero_burn_sum_disc):
	* src/burn.c: (brasero_burn_check_media),
	(brasero_burn_wait_for_rewritable_media), (brasero_burn_blank),
	(brasero_burn_wait_for_dest_media), (brasero_burn_run_recorder):
	* src/recorder-selection.c:
	(brasero_recorder_selection_update_info),
	(brasero_recorder_selection_select_default_drive):

	Many fixes for DVD+RW size detection
	Fixes for blanking DVD+-RW, now allow to use quick option
	Add pmount to potentially (u)mount volumes
	Allow arbitrary images to be written to discs

2006-11-05  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_set_state),
	(brasero_disc_option_dialog_video_clicked),
	(brasero_disc_option_dialog_add_data_options),
	(brasero_disc_option_dialog_get_param):
	* src/burn-caps.c: (brasero_burn_caps_get_flags):

	Improved DVD Video compatibility

2006-11-05  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/burn-basics.c: (brasero_track_source_free),
	(brasero_track_source_copy):
	* src/burn-basics.h:
	* src/burn-caps.c: (brasero_burn_caps_create_recorder):
	* src/burn-caps.h:
	* src/burn-cdrecord.c: (brasero_cdrecord_write_inf),
	(brasero_cdrecord_write_infs), (brasero_cdrecord_set_argv_record),
	(brasero_cdrecord_set_source):
	* src/burn-growisofs.c: (brasero_growisofs_set_argv_record):
	* src/burn-libburn.c: (brasero_libburn_setup_disc):
	* src/burn-local-image.c: (brasero_local_image_get_track):
	* src/burn-transcode.c: (brasero_transcode_init),
	(brasero_transcode_finalize), (brasero_transcode_set_source),
	(brasero_transcode_set_output_type), (brasero_transcode_get_track),
	(brasero_transcode_start), (brasero_transcode_get_track_type):

	Fixed CD-TEXT not being written if mode isn't on the fly

2006-11-05  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/blank-dialog.c: (brasero_blank_dialog_device_opts_setup),
	(brasero_blank_dialog_progress_changed_cb):
	* src/burn-caps.c: (brasero_burn_caps_blanking_get_default_flags),
	(brasero_burn_caps_get_flags),
	(brasero_burn_caps_blanking_get_supported_flags),
	(brasero_burn_caps_create_recorder_for_blanking):
	* src/burn-caps.h:
	* src/burn-dvd-rw-format.c: (brasero_dvd_rw_format_finalize),
	(brasero_dvd_rw_format_blank), (brasero_dvd_rw_format_read_stderr),
	(brasero_dvd_rw_format_set_argv):
	* src/burn-growisofs.c: (brasero_growisofs_blank),
	(brasero_growisofs_read_stderr),
	(brasero_growisofs_set_argv_blank), (brasero_growisofs_set_argv):
	* src/burn.c: (brasero_burn_blank_real),
	(brasero_burn_wait_for_dest_media):
	* src/recorder-selection.c:
	(brasero_recorder_selection_update_drive_info):

	Fixes for DVD-RW+ blanking, added fast option

2006-11-05  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_set_state),
	(brasero_disc_option_label_changed),
	(brasero_disc_option_set_title_widget),
	(brasero_disc_option_dialog_set_disc):

	Retrieve the label from the last session (if any) and use it in burn dialog

2006-11-04  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/brasero-ncb.c: (free_command_data):

	Fixed crasher when unmounting a disc

2006-11-04  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/song-properties.c: (brasero_song_props_init):

	Small GUI improvement in song properties dialog

2006-11-04  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/brasero-layout.c: (brasero_layout_add_preview):
	* src/brasero-project-manager.c: (brasero_project_manager_init):
	* src/brasero-vfs.c: (brasero_vfs_count_result_audio):
	* src/main.c: (brasero_app_create_app):

	Improved previous patch
	Silenced some warnings

2006-11-04  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/brasero-vfs.c: (brasero_vfs_count_result_audio),
	(brasero_vfs_init):
	* src/burn-growisofs.c: (brasero_growisofs_read_stderr):

	Fixed build without totem

2006-10-25  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* NEWS:
	* configure.in:

	Updated NEW
	Bumped version

2006-10-25  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_set_title_widget),
	(brasero_disc_option_dialog_set_disc),
	(brasero_disc_option_dialog_init),
	(brasero_disc_option_dialog_finalize):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_init):
	* src/brasero-ncb.c: (free_command_data), (try_hidden_locations),
	(create_command):
	* src/brasero-project-manager.c:
	(brasero_project_manager_burn_disc):
	* src/burn-dialog.c: (brasero_burn_dialog_insert_disc_cb),
	(brasero_burn_dialog_job_get_track),
	(brasero_burn_dialog_check_image_integrity),
	(brasero_burn_dialog_integrity_start):
	* src/burn-job.c: (brasero_job_class_init), (brasero_job_stop),
	(brasero_job_error):
	* src/burn-md5.c: (brasero_md5_sum):
	* src/burn-mkisofs-base.c: (brasero_mkisofs_base_add_graft),
	(brasero_mkisofs_base_init_data):
	* src/burn-process.c: (brasero_process_finalize),
	(brasero_process_pre_init), (brasero_process_read_stderr),
	(brasero_process_read_stdout), (brasero_process_stop):
	* src/burn-sum.c: (brasero_burn_sum_disc),
	(brasero_burn_sum_thread), (brasero_burn_sum_set_output),
	(brasero_burn_sum_set_output_type):
	* src/burn-task.c: (brasero_task_reset), (brasero_task_start):
	* src/burn.c: (brasero_burn_class_init),
	(brasero_burn_emit_signal), (brasero_burn_ask_for_media),
	(brasero_burn_wait_for_dest_media), (brasero_burn_ask_for_joliet),
	(brasero_burn_lock_drives), (brasero_burn_record_real):
	* src/burn.h:
	* src/data-disc.c: (brasero_data_disc_remove_bogus_child),
	(brasero_data_disc_tree_remove_path),
	(brasero_data_disc_delete_selected), (brasero_data_disc_clear),
	(brasero_data_disc_reset), (brasero_data_disc_cancel_monitoring):
	* src/progress.c: (brasero_burn_progress_finalize):
	* src/tray.c: (brasero_tray_icon_init),
	(brasero_tray_icon_set_progress):
	* src/utils.c: (brasero_utils_pack_properties_list):

	Some minor GUI improvements to burn dialogs
	Fixes for inotify backend in data project
	Valgrinded brasero and fixed a lot of  memleaks
	Fix for media checking (GError set twice and possible crasher)
	Fixed "umount" typo 

2006-10-17  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* data/Makefile.am:
	* data/cd-action-burn.png:
	* po/ChangeLog:
	* po/fr.po:
	* src/audio-disc.c: (brasero_audio_disc_fill_toolbar),
	(brasero_audio_disc_init), (brasero_audio_disc_finalize):
	* src/blank-dialog.c: (brasero_blank_dialog_cancel_dialog):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_init):
	* src/brasero-file-chooser.c: (brasero_file_chooser_find_pane):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_init):
	* src/brasero-layout.c: (brasero_layout_size_reallocate):
	* src/brasero-multi-dnd.c: (brasero_multi_DND_row_draggable):
	* src/brasero-project-manager.c: (brasero_project_manager_init),
	(brasero_project_manager_switch):
	* src/brasero-project-size.c:
	(brasero_project_size_add_default_medias),
	(brasero_project_size_init), (brasero_project_size_finalize),
	(brasero_project_size_get_ruler_min_width),
	(brasero_project_size_get_media_string),
	(brasero_project_size_size_request), (brasero_project_size_expose),
	(brasero_project_size_build_menu),
	(brasero_project_size_update_sectors):
	* src/brasero-tool-dialog.c: (brasero_tool_dialog_set_button):
	* src/burn-dialog.c: (brasero_burn_dialog_data_loss_cb),
	(brasero_burn_dialog_rewritable_cb),
	(brasero_burn_dialog_disable_joliet_cb),
	(brasero_burn_dialog_notify_error),
	(brasero_burn_dialog_success_run),
	(brasero_burn_dialog_cancel_dialog):
	* src/data-disc.c: (brasero_data_disc_fill_toolbar),
	(brasero_data_disc_filtered_restore),
	(brasero_data_disc_exclude_uri),
	(brasero_data_disc_dir_contents_destroy),
	(_find_name_in_info_list),
	(brasero_data_disc_get_unique_valid_utf8_name),
	(brasero_data_disc_get_unique_valid_utf8_path),
	(brasero_data_disc_symlink_new),
	(brasero_data_disc_symlink_list_new),
	(brasero_data_disc_invalid_utf8_new),
	(brasero_data_disc_invalid_utf8_list_new),
	(brasero_data_disc_load_result),
	(brasero_data_disc_load_dir_error),
	(brasero_data_disc_remove_row_in_files_hash),
	(brasero_data_disc_path_remove_user),
	(brasero_data_disc_get_dir_contents_results),
	(brasero_data_disc_add_uri_real), (brasero_data_disc_load_track),
	(brasero_data_disc_move_row_in_dirs_hash),
	(brasero_data_disc_button_pressed_cb),
	(brasero_data_disc_name_edited_cb),
	(brasero_data_disc_inotify_create_paths):
	* src/disc-copy-dialog.c: (brasero_disc_copy_dialog_init):
	* src/player.c: (brasero_player_no_multimedia_stream),
	(brasero_player_image), (brasero_player_update_info_real):
	* src/project-type-chooser.c: (brasero_project_type_chooser_init),
	(brasero_project_type_chooser_finalize):
	* src/project.c: (brasero_project_init),
	(brasero_project_finalize), (brasero_project_switch),
	(_read_graft_point), (_read_audio_track),
	(brasero_project_load_session), (_save_audio_track_xml),
	(_save_data_track_xml), (brasero_project_save_project_xml):
	* src/search-entry.c: (brasero_search_entry_init),
	(brasero_search_entry_finalize):
	* src/search.c: (brasero_search_init):
	* src/utils.c: (brasero_utils_init),
	(brasero_utils_get_icon_for_mime), (brasero_utils_make_button),
	(brasero_utils_get_use_info_notebook),
	(brasero_utils_validate_utf8):
	* src/utils.h:

	Fix warning
	Workaround filenames with bad charset
	Fix for last session project autoloading problem
	Better use of icons (new burn-action icon)
	Fix for preview remaining open whereas an image has failed to load
	Fixes for project-size string resize problem
	Add dual layer DVD size to default sizes
	Fixes for French translation

2006-10-16  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/Makefile.am:
	* src/audio-disc.c: (brasero_audio_disc_iface_disc_init),
	(brasero_audio_disc_fill_toolbar), (brasero_audio_disc_init),
	(brasero_audio_disc_add_gap), (brasero_audio_disc_add_uri_real),
	(brasero_audio_disc_add_uri), (brasero_audio_disc_remove),
	(brasero_audio_disc_delete_selected),
	(brasero_audio_disc_get_track), (brasero_audio_disc_load_track),
	(brasero_audio_disc_get_dest_path),
	(brasero_audio_disc_merge_gaps), (brasero_audio_disc_move_to_dest),
	(brasero_audio_disc_move_to_first_pos),
	(brasero_audio_disc_drag_data_received_cb),
	(brasero_audio_disc_drag_leave_cb),
	(brasero_audio_disc_drag_motion_cb),
	(brasero_audio_disc_drag_begin_cb),
	(brasero_audio_disc_drag_end_cb),
	(brasero_audio_disc_selection_changed),
	(brasero_audio_disc_open_file),
	(brasero_audio_disc_edit_information_cb),
	(brasero_audio_disc_clipboard_text_cb),
	(brasero_audio_disc_clipboard_targets_cb),
	(brasero_audio_disc_button_pressed_cb),
	(brasero_audio_disc_rename_activated):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_set_title_widget),
	(brasero_disc_option_dialog_set_disc),
	(brasero_disc_option_dialog_get_param):
	* src/brasero-file-chooser.c: (brasero_file_chooser_get_type),
	(brasero_file_chooser_iface_layout_object_init),
	(brasero_file_chooser_customize), (brasero_file_chooser_init),
	(brasero_file_chooser_get_selected_uris),
	(brasero_file_chooser_find_pane),
	(brasero_file_chooser_get_proportion):
	* src/brasero-layout-object.c: (brasero_layout_object_get_type),
	(brasero_layout_object_base_init),
	(brasero_layout_object_get_proportion):
	* src/brasero-layout-object.h:
	* src/brasero-layout.c: (brasero_layout_init),
	(brasero_layout_finalize), (brasero_layout_set_active_item),
	(brasero_layout_size_reallocate), (brasero_layout_page_showed),
	(brasero_layout_project_size_allocated_cb),
	(brasero_layout_add_project), (brasero_layout_add_preview),
	(brasero_layout_pane_changed),
	(brasero_layout_displayed_item_changed_cb),
	(brasero_layout_add_source), (brasero_layout_load):
	* src/brasero-multi-dnd.c: (brasero_multi_DND_drag_data_get):
	* src/brasero-project-manager.c: (brasero_project_manager_init),
	(brasero_project_manager_burn), (brasero_project_manager_switch),
	(brasero_project_manager_type_changed_cb),
	(brasero_project_manager_new_empty_prj_cb),
	(brasero_project_manager_new_audio_prj_cb),
	(brasero_project_manager_new_data_prj_cb),
	(brasero_project_manager_new_copy_prj_cb),
	(brasero_project_manager_new_iso_prj_cb),
	(brasero_project_manager_audio), (brasero_project_manager_data),
	(brasero_project_manager_copy), (brasero_project_manager_iso),
	(brasero_project_manager_open), (brasero_project_manager_empty),
	(brasero_project_manager_load_session):
	* src/brasero-project-size.c: (brasero_project_size_init),
	(brasero_project_size_finalize),
	(brasero_project_size_forall_children),
	(brasero_project_size_size_allocate),
	(brasero_project_size_expose), (brasero_project_size_build_menu),
	(brasero_project_size_menu_finished_cb),
	(brasero_project_size_show_menu_real),
	(brasero_project_size_scroll_event),
	(brasero_project_size_find_proper_drive),
	(brasero_project_size_set_context),
	(brasero_project_size_disc_added_cb),
	(brasero_project_size_add_real_medias),
	(brasero_project_get_ruler_height):
	* src/brasero-project-size.h:
	* src/brasero-session.c: (brasero_session_load):
	* src/brasero-sum-dialog.c: (brasero_sum_dialog_from_file):
	* src/brasero-uri-container.h:
	* src/data-disc.c: (brasero_data_disc_iface_disc_init),
	(brasero_data_disc_sort_size), (brasero_data_disc_sort_string),
	(brasero_data_disc_fill_toolbar), (brasero_data_disc_init),
	(brasero_data_disc_finalize),
	(brasero_data_disc_remove_bogus_child),
	(brasero_data_disc_tree_update_directory_real),
	(brasero_data_disc_tree_update_directory),
	(brasero_data_disc_tree_update_parent),
	(brasero_data_disc_tree_path_to_disc_path),
	(brasero_data_disc_add_path_item_position),
	(brasero_data_disc_disc_path_to_tree_path),
	(brasero_data_disc_tree_remove_path),
	(brasero_data_disc_remove_uri_from_tree),
	(brasero_data_disc_tree_new_path),
	(brasero_data_disc_tree_set_path_from_info),
	(brasero_data_disc_tree_new_empty_folder_real),
	(brasero_data_disc_tree_new_loading_row),
	(brasero_data_disc_reference_free),
	(brasero_data_disc_reference_get_list),
	(_foreach_make_references_list_cb),
	(brasero_data_disc_move_references),
	(brasero_data_disc_reference_remove_path),
	(_foreach_add_to_list_cb),
	(brasero_data_disc_reference_invalidate_all),
	(_foreach_remove_grafts_cb), (_foreach_remove_created_dirs_cb),
	(brasero_data_disc_restore_unreadable_cb),
	(_foreach_remove_children_dirs_cb),
	(brasero_data_disc_directory_remove_from_tree),
	(brasero_data_disc_remove_children_async_cb),
	(_foreach_remove_children_files_cb),
	(brasero_data_disc_remove_children),
	(brasero_data_disc_graft_get_real), (brasero_data_disc_graft_get),
	(brasero_data_disc_graft_new), (brasero_data_disc_graft_new_list),
	(_foreach_remove_graft_pointers_cb),
	(brasero_data_disc_graft_clean_excluded),
	(brasero_data_disc_graft_remove),
	(brasero_data_disc_graft_remove_all), (_foreach_graft_changed_cb),
	(_foreach_move_children_paths_cb),
	(_foreach_unreference_grafted_cb), (brasero_data_disc_path_to_uri),
	(brasero_data_disc_new_folder_clicked_cb),
	(brasero_data_disc_exclude_uri), (brasero_data_disc_restore_uri),
	(brasero_data_disc_has_parent),
	(brasero_data_disc_expose_grafted_cb),
	(brasero_data_disc_expose_grafted),
	(brasero_data_disc_expose_path_real),
	(brasero_data_disc_expose_thread), (brasero_data_disc_expose_path),
	(brasero_data_disc_row_expanded_cb),
	(brasero_data_disc_file_info), (brasero_data_disc_obj_new),
	(_foreach_lookup_symlink_children_cb),
	(brasero_data_disc_symlink_get_uri_children),
	(brasero_data_disc_symlink_is_recursive),
	(brasero_data_disc_symlink_new),
	(brasero_data_disc_symlink_list_new),
	(brasero_data_disc_load_thread),
	(brasero_data_disc_delete_selected),
	(brasero_data_disc_get_target_grafts),
	(brasero_data_disc_replace_symlink_children_cb),
	(brasero_data_disc_replace_symlink_children),
	(brasero_data_disc_new_file), (brasero_data_disc_new_row_added),
	(brasero_data_disc_new_row_real), (brasero_data_disc_new_row_cb),
	(brasero_data_disc_add_uri_real), (brasero_data_disc_add_uri),
	(_foreach_excluded_make_list_cb), (_foreach_grafts_make_list_cb),
	(brasero_data_disc_graft_check_destroy),
	(brasero_data_disc_path_create), (brasero_data_disc_load_step_2),
	(brasero_data_disc_restore_row),
	(brasero_data_disc_move_row_in_files_hash),
	(brasero_data_disc_move_row_simple_file_destroy_cb),
	(brasero_data_disc_move_row_simple_file_cb),
	(brasero_data_disc_move_row_simple_file),
	(brasero_data_disc_move_row), (brasero_data_disc_set_dest_row),
	(brasero_data_disc_get_dest_path),
	(brasero_data_disc_new_disc_path),
	(brasero_data_disc_drag_dest_drop_row_possible),
	(brasero_data_disc_move_to_dest),
	(brasero_data_disc_native_data_received),
	(brasero_data_disc_drag_data_received_dragging),
	(brasero_data_disc_drag_data_received_cb),
	(brasero_data_disc_drag_drop_cb), (brasero_data_disc_drag_get_cb),
	(brasero_data_disc_scroll_timeout_cb),
	(brasero_data_disc_expand_timeout_cb),
	(brasero_data_disc_drag_motion_cb),
	(brasero_data_disc_drag_leave_cb),
	(brasero_data_disc_drag_begin_cb), (brasero_data_disc_drag_end_cb),
	(brasero_data_disc_open_file),
	(brasero_data_disc_rename_activated),
	(brasero_data_disc_clipboard_text_cb),
	(brasero_data_disc_clipboard_targets_cb),
	(brasero_data_disc_tree_selection_changed),
	(brasero_data_disc_button_pressed_cb),
	(brasero_data_disc_button_released_cb),
	(brasero_data_disc_name_edited_cb),
	(brasero_data_disc_inotify_attributes_event_cb),
	(brasero_data_disc_inotify_attributes_event),
	(brasero_data_disc_inotify_modify_file_cb),
	(brasero_data_disc_inotify_modify_file):
	* src/disc.c: (brasero_disc_get_type),
	(brasero_disc_get_selected_uri), (brasero_disc_fill_toolbar):
	* src/disc.h:
	* src/eggtreemultidnd.c: (egg_tree_multi_drag_drag_data_get),
	(egg_tree_multi_drag_motion_event):
	* src/main.c: (brasero_app_add_recent),
	(brasero_app_parse_options):
	* src/play-list.c: (brasero_playlist_get_type),
	(brasero_playlist_iface_layout_object_init),
	(brasero_playlist_get_proportion), (brasero_playlist_init),
	(brasero_playlist_get_selected_uri), (brasero_playlist_add_cb),
	(brasero_playlist_remove_cb),
	(brasero_playlist_get_selected_uris_real):
	* src/project.c: (brasero_project_get_type),
	(brasero_project_iface_layout_object_init),
	(brasero_project_get_proportion), (brasero_project_init),
	(brasero_project_switch), (brasero_project_transfer_uris_from_src):
	* src/project.h:
	* src/search.c: (brasero_search_get_type),
	(brasero_search_iface_layout_object_init),
	(brasero_search_get_proportion), (brasero_search_init),
	(brasero_search_get_selected_rows):
	* src/utils.c: (brasero_utils_get_time_string),
	(brasero_utils_get_time_string_from_size),
	(brasero_utils_empty_dir), (brasero_utils_remove),
	(brasero_utils_check_for_parent_symlink),
	(brasero_utils_get_symlink_target):

	Add drag and delete in projects
	MultiDND in projects
	Fix for newly created folders name editing
	Fix disc label not present in burn-dialog
	Hide side panes without changing changing project geometry
	Fix bad audio project size when removing silences
	Fix project loading auto-selecting row and asking for name edition
	Fix multisession discs not recognised in project size widget
	Project size displays remaining free space for multisession discs
	Some GUI refactoring (suggestions in #360899)
	Fix for title not being set when auto-loading last unfinished project

2006-10-08  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* NEWS:
	* brasero.spec:
	* configure.in:

	Updated NEWS and bumped version number

2006-10-08  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* po/brasero.pot:
	* po/fr.po:
	* src/brasero-project-manager.c:
	(brasero_project_manager_size_preview):
	* src/main.c: (brasero_app_create_app):
	* src/recorder-selection.c:
	(brasero_recorder_selection_set_drive_default_properties),
	(brasero_recorder_selection_drive_properties):

	Improved strings and updated French translation accordingly

2006-10-08  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* po/brasero.pot:
	* po/fr.po:
	* src/brasero-sum-check.c: (brasero_sum_check_thread):
	* src/brasero-sum-dialog.c: (brasero_sum_dialog_stop),
	(brasero_sum_dialog_cancel), (brasero_sum_dialog_progress_poll),
	(brasero_sum_dialog_download), (brasero_sum_dialog_from_file),
	(brasero_sum_dialog_get_disc_md5),
	(brasero_sum_dialog_check_md5_file):
	* src/brasero-tool-dialog.c:
	(brasero_tool_dialog_job_progress_changed),
	(brasero_tool_dialog_job_action_changed),
	(brasero_tool_dialog_run_job),
	(brasero_tool_dialog_cancel_clicked_cb):
	* src/brasero-tool-dialog.h:
	* src/burn-dialog.c: (brasero_burn_dialog_integrity_start):
	* src/burn-md5.c: (brasero_md5_sum_to_string):
	* src/burn-md5.h:
	* src/burn-sum.c: (brasero_burn_sum_start_md5),
	(brasero_burn_sum_disc):

	Fix for bug where progress wasn't shown when checking DVD integrity

2006-10-08  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* po/ChangeLog:
	* po/brasero.pot:
	* po/fr.po:
	* src/brasero-marshal.list:
	* src/burn-dialog.c: (brasero_burn_dialog_get_media_type_string),
	(brasero_burn_dialog_wait_for_insertion),
	(brasero_burn_dialog_insert_disc_cb),
	(brasero_burn_dialog_media_added_cb),
	(brasero_burn_dialog_reload_disc_dlg),
	(brasero_burn_dialog_check_image_integrity),
	(brasero_burn_dialog_integrity_start):
	* src/burn-sum.c: (brasero_burn_sum_disc), (brasero_burn_sum_end),
	(brasero_burn_sum_destroy):
	* src/burn.c: (brasero_burn_class_init),
	(brasero_burn_check_media), (brasero_burn_ask_for_media),
	(brasero_burn_media_check_basics),
	(brasero_burn_wait_for_source_media),
	(brasero_burn_wait_for_rewritable_media), (brasero_burn_blank),
	(brasero_burn_wait_for_dest_media), (brasero_burn_lock_drives):

	Fixes for DVD copy
	Fixes for DVD checksum creation
	Fix a crasher if integrity check failed
	Updated French translation

2006-10-07  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/Makefile.am:
	* src/burn-md5.c: (brasero_md5_sum):
	* src/burn-readcd.c: (brasero_readcd_get_size),
	(brasero_readcd_read_stderr),
	(brasero_readcd_argv_set_iso_boundary), (brasero_readcd_set_argv):
	* src/burn-sum.c: (brasero_burn_sum_disc):
	* src/burn.c: (brasero_burn_wait_for_source_media),
	(brasero_burn_wait_for_dest_media), (brasero_burn_cancel):

	More fixes for DVD checksum generation and copy:
	since we always use iso images and that ncb is unable to determine
	the size of the data on a DVD, we read the iso primary volume desc

2006-10-07  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/burn-dialog.c: (brasero_burn_dialog_media_added_cb),
	(brasero_burn_dialog_media_removed_cb), (brasero_burn_dialog_run):
	* src/recorder-selection.c:
	(brasero_recorder_selection_drive_media_added_cb),
	(brasero_recorder_selection_drive_media_removed_cb):

	Fix 'media-added' 'media-removed' bug

2006-10-07  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/burn-basics.h:
	* src/burn-md5.c: (brasero_md5_sum), (brasero_md5_sum_to_string):
	* src/burn-md5.h:
	* src/burn-sum.c: (brasero_burn_sum_image),
	(brasero_burn_sum_disc):
	* src/burn.c: (brasero_burn_wait_for_dest_media),
	(brasero_burn_record):

	Fix DVD copy

2006-10-07  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_set_image_uri):
	* src/brasero-image-type-chooser.c:
	(brasero_image_type_chooser_set_source):
	* src/brasero-image-type-chooser.h:
	* src/burn-caps.c: (brasero_burn_caps_get_flags),
	(brasero_burn_caps_get_imager_available_formats):
	* src/burn-caps.h:
	* src/recorder-selection.c:
	(brasero_recorder_selection_set_source_track),
	(brasero_recorder_selection_disc_image_properties):

	Fixes for DVD image burning

2006-10-06  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/burn-dialog.c: (brasero_burn_dialog_integrity_check_end),
	(brasero_burn_dialog_integrity_start):

	Fixed error dialog appearing when chancelling integrity check

2006-10-06  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/brasero-project-size.c:
	(brasero_project_size_get_media_string):

	Fix a wrongly rounded value in audio

2006-10-06  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* po/brasero.pot:
	* src/audio-disc.c: (brasero_audio_disc_init),
	(brasero_audio_disc_finalize), (brasero_audio_disc_result),
	(brasero_audio_disc_add_pause),
	(brasero_audio_disc_pause_clicked_cb),
	(brasero_audio_disc_add_pause_cb),
	(brasero_audio_disc_selection_changed),
	(brasero_audio_disc_edit_song_properties):
	* src/data-disc.c: (brasero_data_disc_init),
	(brasero_data_disc_tree_check_name_validity),
	(brasero_data_disc_reset_real):
	* src/project.c: (brasero_project_check_default_burning_app):

	Updated pot file
	Fixed a crasher with filter button
	Added a button in audio to set pauses

2006-10-06  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* data/brasero.schemas.in:
	* src/brasero-file-chooser.c: (brasero_file_chooser_set_multi_DND):
	* src/main.c:
	* src/player-bacon.c: (brasero_player_bacon_size_allocate):
	* src/player.c: (brasero_player_init), (brasero_player_destroy),
	(brasero_player_destroy_controls), (brasero_player_video_zoom_out),
	(brasero_player_video_zoom_in),
	(brasero_player_create_controls_stream),
	(brasero_player_update_position), (brasero_player_set_length),
	(brasero_player_scale_image), (brasero_player_image_zoom_in),
	(brasero_player_image_zoom_out),
	(brasero_player_create_controls_image), (brasero_player_image),
	(brasero_player_update_info_real),
	(brasero_player_no_multimedia_stream),
	(brasero_player_metadata_completed),
	(brasero_player_range_button_released_cb),
	(brasero_player_state_changed_cb),
	(brasero_player_range_value_changed):

	Added the possibility to zoom in and out in preview

2006-10-05  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* data/disc-00.png:
	* data/disc-05.png:
	* data/disc-10.png:
	* data/disc-100.png:
	* data/disc-15.png:
	* data/disc-20.png:
	* data/disc-25.png:
	* data/disc-30.png:
	* data/disc-35.png:
	* data/disc-40.png:
	* data/disc-45.png:
	* data/disc-50.png:
	* data/disc-55.png:
	* data/disc-60.png:
	* data/disc-65.png:
	* data/disc-70.png:
	* data/disc-75.png:
	* data/disc-80.png:
	* data/disc-85.png:
	* data/disc-90.png:
	* data/disc-95.png:
	* data/logo.png:
	* po/ChangeLog:
	* po/POTFILES.in:
	* po/brasero.pot:
	* po/fr.po:

	Updated French translation (by europeen)
	Icons were put through OptiPng (by Gounlaf)

2006-10-05  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/Makefile.am:
	* src/audio-disc.c: (brasero_audio_disc_iface_disc_init),
	(brasero_audio_disc_init), (brasero_audio_disc_get_status),
	(brasero_audio_disc_result), (brasero_audio_disc_get_track_source),
	(brasero_audio_disc_get_track_type):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_get_type),
	(brasero_disc_option_dialog_class_init),
	(brasero_disc_option_dialog_new),
	(brasero_disc_option_dialog_set_state),
	(brasero_disc_option_dialog_media_changed),
	(brasero_disc_option_dialog_add_multisession),
	(brasero_disc_option_set_title_widget),
	(brasero_disc_option_dialog_joliet_toggled_cb),
	(brasero_disc_option_dialog_add_data_options),
	(brasero_disc_option_dialog_add_audio_options),
	(brasero_disc_option_dialog_set_disc),
	(brasero_disc_option_dialog_burn_clicked_cb),
	(brasero_disc_option_dialog_get_param),
	(brasero_disc_option_dialog_cancel_clicked_cb),
	(brasero_disc_option_dialog_init),
	(brasero_disc_option_dialog_finalize):
	* src/brasero-disc-option-dialog.h:
	* src/brasero-file-chooser.c: (brasero_file_chooser_set_multi_DND),
	(brasero_file_chooser_init):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_get_type),
	(brasero_image_option_dialog_class_init),
	(brasero_image_option_dialog_new),
	(brasero_image_option_dialog_image_info_error),
	(brasero_image_option_dialog_make_track),
	(brasero_image_option_dialog_image_info_cb),
	(brasero_image_option_dialog_image_empty),
	(brasero_image_option_dialog_image_info),
	(brasero_image_option_dialog_set_image_uri),
	(brasero_image_option_dialog_burn_clicked_cb),
	(brasero_image_option_dialog_get_param),
	(brasero_image_option_dialog_cancel_clicked_cb),
	(brasero_image_option_dialog_init),
	(brasero_image_option_dialog_finalize):
	* src/brasero-image-option-dialog.h:
	* src/brasero-image-type-chooser.c:
	(brasero_image_type_chooser_get_type),
	(brasero_image_type_chooser_class_init),
	(brasero_image_type_chooser_init),
	(brasero_image_type_chooser_finalize),
	(brasero_image_type_chooser_new),
	(brasero_image_type_chooser_set_source),
	(brasero_image_type_chooser_get_format):
	* src/brasero-image-type-chooser.h:
	* src/brasero-multi-dnd.c: (brasero_multi_DND_row_draggable),
	(brasero_multi_DND_drag_data_get),
	(brasero_multi_DND_drag_data_delete),
	(brasero_multi_DND_drag_source_init), (brasero_enable_multi_DND):
	* src/brasero-multi-dnd.h:
	* src/brasero-ncb.c: (launch_command),
	(NCB_DRIVE_GET_MOUNT_POINT_RESULT), (NCB_DRIVE_GET_VFS_DRIVE),
	(NCB_VOLUME_GET_MOUNT_POINT_CB), (NCB_VOLUME_GET_MOUNT_POINT),
	(NCB_DRIVE_GET_MOUNT_POINT), (NCB_DRIVE_GET_MOUNT_POINT_CANCEL):
	* src/brasero-ncb.h:
	* src/brasero-project-manager.c: (brasero_project_manager_burn),
	(brasero_project_manager_burn_iso_dialog),
	(brasero_project_manager_switch):
	* src/brasero-sum-dialog.c: (brasero_sum_dialog_init),
	(brasero_sum_dialog_md5_toggled), (brasero_sum_dialog_cancel),
	(brasero_sum_dialog_message_error),
	(brasero_sum_dialog_get_disc_md5),
	(brasero_sum_dialog_check_md5_file), (brasero_sum_dialog_mount_cb),
	(brasero_sum_dialog_check_brasero_sum):
	* src/brasero-vfs.c: (brasero_vfs_last_reference_cb),
	(brasero_vfs_get_default), (brasero_vfs_playlist_result):
	* src/burn-basics.c: (brasero_track_source_get_image_localpath),
	(brasero_track_source_get_raw_localpath),
	(brasero_track_source_get_cue_localpath),
	(brasero_track_source_get_cdrdao_localpath):
	* src/burn-basics.h:
	* src/burn-caps.c: (brasero_burn_caps_get_flags),
	(brasero_burn_caps_check_flags_consistency),
	(brasero_burn_caps_create_recorder),
	(brasero_burn_caps_get_imager_available_formats),
	(brasero_burn_caps_get_imager_default_format),
	(brasero_burn_caps_create_imager),
	(brasero_burn_caps_get_required_media_type):
	* src/burn-cdrdao.c: (brasero_cdrdao_clean_output),
	(brasero_cdrdao_finalize), (brasero_cdrdao_read_stderr_record),
	(brasero_cdrdao_get_track_type), (brasero_cdrdao_set_source),
	(brasero_cdrdao_set_output), (brasero_cdrdao_set_output_type),
	(brasero_cdrdao_toc2cue), (brasero_cdrdao_get_track),
	(brasero_cdrdao_get_size_image), (brasero_cdrdao_set_argv_device),
	(brasero_cdrdao_set_argv_common), (brasero_cdrdao_set_argv_record),
	(brasero_cdrdao_set_argv_image), (brasero_cdrdao_post):
	* src/burn-cdrecord.c: (brasero_cdrecord_stderr_read):
	* src/burn-common.c: (brasero_get_file_complement),
	(brasero_burn_common_check_output):
	* src/burn-common.h:
	* src/burn-dialog.c: (brasero_burn_dialog_init),
	(brasero_burn_dialog_finalize),
	(brasero_burn_dialog_activity_start),
	(brasero_burn_dialog_activity_stop),
	(brasero_burn_dialog_update_info),
	(brasero_burn_dialog_integrity_error),
	(brasero_burn_dialog_integrity_check_end),
	(brasero_burn_dialog_close_reload_disc_dlg),
	(brasero_burn_dialog_reload_disc_dlg),
	(brasero_burn_dialog_check_image_integrity),
	(brasero_burn_dialog_check_files_integrity),
	(brasero_burn_dialog_get_mount_point_cb),
	(brasero_burn_dialog_integrity_start),
	(brasero_burn_dialog_success_timeout),
	(brasero_burn_dialog_success_run),
	(brasero_burn_dialog_notify_success), (brasero_burn_dialog_run):
	* src/burn-job.c: (brasero_job_log_message):
	* src/burn-mkisofs.c: (brasero_mkisofs_init),
	(brasero_mkisofs_read_stdout), (brasero_mkisofs_read_stderr),
	(brasero_mkisofs_set_argv_image):
	* src/burn-options-dialog.c:
	* src/burn-options-dialog.h:
	* src/burn-readcd.c: (brasero_readcd_set_argv):
	* src/burn-session.c: (brasero_burn_session_logv):
	* src/burn-toc2cue.c: (brasero_toc2cue_get_type),
	(brasero_toc2cue_init), (brasero_toc2cue_finalize),
	(brasero_toc2cue_new), (brasero_toc2cue_set_source),
	(brasero_toc2cue_read_stdout), (brasero_toc2cue_read_stderr),
	(brasero_toc2cue_set_argv), (brasero_toc2cue_get_track),
	(brasero_toc2cue_set_output), (brasero_toc2cue_set_output_type),
	(brasero_toc2cue_get_track_type), (brasero_toc2cue_class_init),
	(brasero_toc2cue_iface_init_image):
	* src/burn-toc2cue.h:
	* src/burn-transcode.c: (brasero_transcode_iface_init_image),
	(brasero_transcode_rm_songs_from_disc),
	(brasero_transcode_set_append):
	* src/burn.c: (brasero_burn_check_media),
	(brasero_burn_wait_for_source_media),
	(brasero_burn_wait_for_rewritable_media),
	(brasero_burn_wait_for_dest_media), (brasero_burn_lock_drives):
	* src/burn.h:
	* src/data-disc.c: (brasero_data_disc_iface_disc_init),
	(brasero_data_disc_get_status),
	(brasero_data_disc_get_track_source),
	(brasero_data_disc_get_track_type):
	* src/disc-copy-dialog.c:
	(brasero_disc_copy_dialog_get_session_param):
	* src/disc.c: (brasero_disc_get_track_type):
	* src/disc.h:
	* src/eggtreemultidnd.c: (egg_tree_multi_drag_source_get_type),
	(egg_tree_multi_drag_source_row_draggable),
	(egg_tree_multi_drag_source_drag_data_delete),
	(egg_tree_multi_drag_source_drag_data_get), (stop_drag_check),
	(egg_tree_multi_drag_button_release_event), (selection_foreach),
	(path_list_free), (set_context_data), (get_context_data),
	(get_info), (egg_tree_multi_drag_drag_data_get),
	(egg_tree_multi_drag_motion_event),
	(egg_tree_multi_drag_button_press_event),
	(egg_tree_multi_drag_add_drag_support):
	* src/eggtreemultidnd.h:
	* src/main.c: (main):
	* src/metadata.c: (brasero_metadata_stop_pipeline),
	(brasero_metadata_cancel), (brasero_metadata_stop):
	* src/play-list.c: (brasero_playlist_init),
	(brasero_playlist_get_selected_uris_real),
	(brasero_playlist_drag_data_get_cb):
	* src/project.c: (brasero_project_burn):
	* src/recorder-selection.c: (brasero_recorder_selection_init),
	(brasero_recorder_selection_get_new_image_path),
	(brasero_recorder_selection_update_info),
	(brasero_recorder_selection_set_source_track),
	(brasero_recorder_selection_drive_properties),
	(brasero_recorder_selection_disc_image_properties):
	* src/search-entry.c: (brasero_search_entry_separator_func):
	* src/search.c: (brasero_search_init),
	(brasero_search_get_selected_uri), (brasero_search_empty_tree),
	(brasero_search_drag_data_get_cb),
	(brasero_search_add_hit_to_tree), (brasero_search_update_header),
	(brasero_search_beagle_hit_substracted_cb),
	(brasero_search_get_selected_rows):

	Added MultiDND support and rubber-banding
	Fixed bug #359780: brasero wrote discs in dummy mode
	Fixed bug which prevented multisession discs from being burnt if not RW
	Add possibility to create CD plus by allowing audio CDs not to be closed
	Use GtkFileChooserButton wherever it makes sense
	Fixed confusion between cue and toc files
	Rework burn images dialog
	Improved mounting of disc when doing integrity checks
	In case of a multisession disc make sure there is enough free space
	Some code cleanup and small fixes

2006-09-26  Luca Ferretti  <elle.uca@libero.it>

	* autogen.sh:

	Fixed bug #357859. Now gnome-common is required.

2006-09-26  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* po/fr.po:

	Fix for French translation

2006-09-26  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* NEWS:
	* brasero.spec:
	* configure.in:
	* po/brasero.pot:
	* po/de.po:
	* po/fr.po:
	* src/main.c: (on_about_cb):

	Bumped version to 0.4.91
	Updated NEWS and brasero.spec
	Updated French and German (Georg Funke) translations

2006-09-26  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* po/POTFILES.skip:
	* po/brasero.pot:
	* src/brasero-async-task-manager.c:
	(brasero_async_task_manager_get_type),
	(brasero_async_task_manager_class_init),
	(brasero_async_task_manager_init),
	(brasero_async_task_manager_finalize),
	(brasero_async_task_manager_register_type),
	(brasero_async_task_manager_result),
	(brasero_async_task_manager_thread),
	(brasero_async_task_manager_queue),
	(brasero_async_task_manager_foreach_active),
	(brasero_async_task_manager_foreach_remove),
	(brasero_async_task_manager_foreach_unprocessed_remove),
	(brasero_async_task_manager_foreach_processed_remove),
	(brasero_async_task_manager_find_urgent_task):
	* src/brasero-async-task-manager.h:
	* src/brasero-project-manager.c:
	(brasero_project_manager_finalize),
	(brasero_project_manager_size_preview),
	(brasero_project_manager_selected_uris_changed),
	(brasero_project_manager_burn_iso_dialog),
	(brasero_project_manager_burn_iso_error),
	(brasero_project_manager_burn_iso_info_result),
	(brasero_project_manager_burn_iso):
	* src/brasero-vfs.c: (brasero_vfs_get_type),
	(brasero_vfs_class_init), (brasero_vfs_get_default),
	(brasero_vfs_task_ctx_free), (brasero_vfs_ctx_new),
	(brasero_info_result_free), (brasero_vfs_info_destroy),
	(brasero_vfs_info_result), (brasero_vfs_info_thread),
	(brasero_vfs_get_info), (brasero_vfs_load_directory_destroy),
	(brasero_vfs_load_result), (brasero_vfs_load_thread),
	(brasero_vfs_load_directory), (brasero_vfs_process_metadata),
	(brasero_vfs_metadata_processed), (brasero_vfs_metadata_unref_cb),
	(brasero_vfs_metadata_refcount_changed),
	(brasero_vfs_metadata_result_free),
	(brasero_vfs_metadata_completed_cb),
	(brasero_vfs_metadata_lookup_buffer),
	(brasero_vfs_metadata_ctx_new), (brasero_vfs_metadata_destroy),
	(brasero_vfs_metadata_subtask_destroy),
	(brasero_vfs_metadata_result), (brasero_vfs_get_metadata),
	(brasero_vfs_count_destroy), (brasero_vfs_count_subtask_destroy),
	(brasero_vfs_count_result_audio), (brasero_vfs_count_result_data),
	(brasero_vfs_get_count), (brasero_vfs_playlist_destroy),
	(brasero_vfs_playlist_subtask_destroy),
	(brasero_vfs_playlist_subtask_result),
	(brasero_vfs_playlist_result), (brasero_vfs_add_playlist_entry_cb),
	(brasero_vfs_playlist_thread), (brasero_vfs_parse_playlist),
	(brasero_vfs_async_lookup_object_queues),
	(brasero_vfs_async_lookup_object_active), (brasero_vfs_cancel),
	(brasero_vfs_stop_all), (brasero_vfs_register_data_type),
	(brasero_vfs_init), (brasero_vfs_finalize):
	* src/brasero-vfs.h:
	* src/burn-caps.c: (brasero_burn_caps_blanking_get_default_flags),
	(brasero_burn_caps_get_flags),
	(brasero_burn_caps_check_flags_consistency):
	* src/burn-caps.h:
	* src/burn-cdrecord.c: (brasero_cdrecord_set_argv_record):
	* src/burn-dialog.c: (brasero_burn_dialog_run):
	* src/burn-options-dialog.c: (brasero_burn_option_dialog_init),
	(brasero_burn_option_dialog_finalize),
	(brasero_burn_option_set_title_widget),
	(brasero_burn_option_dialog_new),
	(brasero_burn_option_dialog_add_multisession),
	(brasero_burn_option_dialog_set_state),
	(brasero_burn_option_dialog_set_track),
	(brasero_burn_option_dialog_media_changed),
	(brasero_burn_option_dialog_get_session_param):
	* src/burn-options-dialog.h:
	* src/burn-session.c: (brasero_burn_session_logv):
	* src/disc-copy-dialog.c:
	(brasero_disc_copy_dialog_get_session_param):
	* src/main.c: (brasero_app_recent_open), (brasero_app_add_recent),
	(brasero_app_parse_options), (main):
	* src/project.c: (brasero_project_burn):
	* src/recorder-selection.c:
	(brasero_recorder_selection_get_new_image_path),
	(brasero_recorder_selection_set_image_properties),
	(brasero_recorder_selection_set_drive_default_properties),
	(brasero_recorder_selection_update_info),
	(brasero_recorder_selection_drive_media_added_cb),
	(brasero_recorder_selection_drive_media_removed_cb),
	(brasero_recorder_selection_update_drive_info),
	(brasero_recorder_selection_drive_properties),
	(brasero_recorder_selection_disc_image_properties):

	Fixes/Improvements for multisession
	Fix image property dialog displaying an endless list of image types
	Fix images toc generated by cdrecord improperly detected
	Fix error session log accepting non utf-8 characters

2006-09-25  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* configure.in:
	* src/burn-dialog.c: (brasero_burn_dialog_notify_success):

	Removed dependency on libnotify since we weren't really using it anyway

2006-09-25  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* data/brasero.desktop.in:
	* src/Makefile.am:
	* src/audio-disc.c: (brasero_audio_disc_init),
	(brasero_audio_disc_reset_real), (brasero_audio_disc_finalize),
	(brasero_audio_disc_new), (brasero_audio_disc_get_track_num),
	(brasero_audio_disc_set_row_from_metadata),
	(brasero_audio_disc_result),
	(brasero_audio_disc_vfs_operation_finished),
	(brasero_audio_disc_visit_dir_async), (brasero_audio_disc_add_dir),
	(brasero_audio_disc_add_playlist),
	(brasero_audio_disc_unreadable_dialog),
	(brasero_audio_disc_new_row_cb), (brasero_audio_disc_add_uri_real),
	(brasero_audio_disc_add_pause_cb),
	(brasero_audio_disc_inotify_attributes_changed_cb),
	(brasero_audio_disc_inotify_attributes_changed):
	* src/brasero-file-chooser.c:
	(brasero_file_chooser_get_selected_uris):
	* src/brasero-project-manager.c: (brasero_project_manager_init),
	(brasero_project_manager_finalize),
	(brasero_project_manager_size_preview),
	(brasero_project_manager_selected_uris_changed),
	(brasero_project_manager_set_status),
	(brasero_project_manager_burn_iso),
	(brasero_project_manager_switch),
	(brasero_project_manager_open_cb), (brasero_project_manager_open),
	(brasero_project_manager_load_session):
	* src/brasero-project-manager.h:
	* src/data-disc.c: (brasero_data_disc_init),
	(brasero_data_disc_get_info_async):
	* src/main.c: (brasero_app_create_app):
	* src/metadata.c: (brasero_metadata_set_property),
	(brasero_metadata_stop_pipeline), (brasero_metadata_cancel),
	(brasero_metadata_stop), (brasero_metadata_finalize),
	(brasero_metadata_create_pipeline), (brasero_metadata_new),
	(brasero_metadata_is_seekable), (brasero_metadata_completed),
	(brasero_metadata_pipeline_timeout_cb),
	(brasero_metadata_pipeline_timeout),
	(brasero_metadata_bus_messages), (brasero_metadata_get_sync),
	(brasero_metadata_get_async):
	* src/play-list.c: (brasero_playlist_init),
	(brasero_playlist_drag_data_get_cb),
	(brasero_playlist_get_song_metadata_completed):
	* src/player.c: (brasero_player_destroy),
	(brasero_player_set_length), (brasero_player_metadata_completed),
	(brasero_player_set_uri_timeout), (brasero_player_set_uri),
	(brasero_player_scale_format_value),
	(brasero_player_source_selection_changed_cb):
	* src/project.c: (brasero_project_transfer_uris_from_src),
	(brasero_project_load_session), (brasero_project_save_project_xml):
	* src/search.c: (brasero_search_init):

	New abitilty to indicate the size of selected files
	Fixed some leaks
	Code cleanup
	Fixed number of songs displayed in playlist widget
	Fixed the display of duration and position in preview widget
	Miscellaneous small improvements and fixes

2006-09-20  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* po/fr.po:
	* src/audio-disc.c: (brasero_audio_disc_load_track):
	* src/brasero-project-manager.c:
	(brasero_project_manager_load_session),
	(brasero_project_manager_save_session):
	* src/brasero-project-manager.h:
	* src/brasero-project-size.c:
	(brasero_project_size_add_default_medias),
	(brasero_project_size_menu_position_cb),
	(brasero_project_size_build_menu),
	(brasero_project_size_scroll_event),
	(brasero_project_size_find_proper_drive),
	(brasero_project_size_disc_added_cb),
	(brasero_project_size_add_real_medias):
	* src/brasero-session.c: (brasero_session_load),
	(brasero_session_save), (brasero_session_die_cb),
	(brasero_session_save_yourself_cb):
	* src/brasero-session.h:
	* src/burn-dialog.c: (brasero_burn_dialog_activity_start),
	(brasero_burn_dialog_activity_stop),
	(brasero_burn_dialog_notify_success):
	* src/data-disc.c: (brasero_data_disc_get_track):
	* src/disc.c: (brasero_track_clear):
	* src/disc.h:
	* src/main.c: (on_delete_cb), (on_exit_cb), (on_about_cb),
	(brasero_app_recent_open), (brasero_app_create_app),
	(brasero_app_parse_options):
	* src/project.c: (brasero_project_burn), (brasero_project_switch),
	(brasero_project_open_project_xml), (brasero_project_open_project),
	(brasero_project_load_session), (_save_data_track_xml),
	(brasero_project_save_project_xml),
	(brasero_project_save_project_real),
	(brasero_project_save_project_as), (brasero_project_save_session):
	* src/project.h:

	if a user closes the app before burning,
	work is saved in a temp project that
	will be re-opened next time the app is
	launched without anything on the command line

2006-09-20  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* po/fr.po:
	* src/audio-disc.c: (brasero_audio_disc_load_track):
	* src/brasero-project-manager.c:
	(brasero_project_manager_load_session),
	(brasero_project_manager_save_session):
	* src/brasero-project-manager.h:
	* src/brasero-project-size.c:
	(brasero_project_size_add_default_medias),
	(brasero_project_size_menu_position_cb),
	(brasero_project_size_build_menu),
	(brasero_project_size_scroll_event),
	(brasero_project_size_find_proper_drive),
	(brasero_project_size_disc_added_cb),
	(brasero_project_size_add_real_medias):
	* src/brasero-session.c: (brasero_session_load),
	(brasero_session_save), (brasero_session_die_cb),
	(brasero_session_save_yourself_cb):
	* src/brasero-session.h:
	* src/burn-dialog.c: (brasero_burn_dialog_activity_start),
	(brasero_burn_dialog_activity_stop),
	(brasero_burn_dialog_notify_success):
	* src/data-disc.c: (brasero_data_disc_get_track):
	* src/disc.c: (brasero_track_clear):
	* src/disc.h:
	* src/main.c: (on_delete_cb), (on_exit_cb), (on_about_cb),
	(brasero_app_recent_open), (brasero_app_create_app),
	(brasero_app_parse_options):
	* src/project.c: (brasero_project_burn), (brasero_project_switch),
	(brasero_project_open_project_xml), (brasero_project_open_project),
	(brasero_project_load_session), (_save_data_track_xml),
	(brasero_project_save_project_xml),
	(brasero_project_save_project_real),
	(brasero_project_save_project_as), (brasero_project_save_session):
	* src/project.h:

	if a user closes the app before burning,
	work is saved in a temp project that
	will be re-opened next time the app is
	launched with anything on the command line

2006-09-20  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/brasero-project-manager.c:
	(brasero_project_manager_burn_iso):

	Code cleanup (use escaped URI everywhere).
	Add files (project/isos) to recent manager when opened
	Automatically determine the proper action to take with files given on command line (the switches are only here to force the action)
	This comment is for the previous changes that didn't get a log message

2006-09-20  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/brasero-project-manager.c:
	(brasero_project_manager_burn_iso):

	No comment
2006-09-20  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* data/brasero.desktop.in:
	* src/audio-disc.c: (brasero_audio_disc_get_info_async),
	(brasero_audio_disc_file_type_error_dialog),
	(brasero_audio_disc_audio_file_processed),
	(brasero_audio_disc_search_contents_result),
	(brasero_audio_disc_visit_dir_thread_cb),
	(brasero_audio_disc_visit_dir_thread),
	(brasero_audio_disc_add_playlist), (brasero_audio_disc_new_row_cb),
	(brasero_audio_disc_add_uri_real), (brasero_audio_disc_add_uri),
	(brasero_audio_disc_load_track),
	(brasero_audio_disc_clipboard_text_cb),
	(brasero_audio_disc_get_selected_uri),
	(brasero_audio_disc_start_monitoring),
	(brasero_audio_disc_inotify_removal_warning),
	(brasero_audio_disc_inotify_attributes_changed_cb),
	(brasero_audio_disc_inotify_attributes_changed),
	(brasero_audio_disc_inotify_monitor_cb):
	* src/brasero-layout.c: (brasero_layout_set_active_item),
	(brasero_layout_load):
	* src/brasero-project-manager.c:
	(brasero_project_manager_burn_iso), (brasero_project_manager_iso),
	(brasero_project_manager_open):
	* src/brasero-project-manager.h:
	* src/brasero-sum-dialog.c: (brasero_sum_dialog_download),
	(brasero_sum_dialog_from_file),
	(brasero_sum_dialog_check_md5_file):
	* src/burn-basics.c: (brasero_track_source_get_image_localpath),
	(brasero_track_source_get_raw_localpath),
	(brasero_track_source_get_cue_localpath):
	* src/burn-basics.h:
	* src/burn-common.c: (brasero_burn_common_check_local_file),
	(brasero_burn_common_create_tmp_directory):
	* src/burn-libisofs.c: (brasero_libisofs_create_volume_thread):
	* src/burn-local-image.c: (brasero_local_image_download_uri),
	(brasero_local_image_download_non_local):
	* src/burn-mkisofs-base.c: (brasero_mkisofs_base_write_excluded),
	(_build_graft_point), (brasero_mkisofs_base_write_graft),
	(brasero_mkisofs_base_set_output):
	* src/burn-sum.c: (brasero_burn_sum_explore_grafts):
	* src/burn-transcode.c: (brasero_transcode_bus_messages):
	* src/burn.c: (brasero_burn_get_size):
	* src/data-disc.c: (brasero_data_disc_tree_new_path),
	(brasero_data_disc_get_file_info_async),
	(brasero_data_disc_unreadable_dialog),
	(_foreach_remove_children_files_cb),
	(brasero_data_disc_expose_thread), (brasero_data_disc_load_thread),
	(brasero_data_disc_new_row_real),
	(brasero_data_disc_get_dir_contents_thread),
	(brasero_data_disc_add_uri_real), (brasero_data_disc_add_uri),
	(brasero_data_disc_graft_check_result),
	(brasero_data_disc_graft_check_thread),
	(brasero_data_disc_path_create), (brasero_data_disc_load_step_2),
	(brasero_data_disc_drag_data_received_cb),
	(brasero_data_disc_clipboard_text_cb),
	(brasero_data_disc_get_selected_uri),
	(brasero_data_disc_inotify_create_file_event_cb),
	(brasero_data_disc_start_monitoring_real):
	* src/disc.c: (brasero_disc_add_uri):
	* src/disc.h:
	* src/main.c: (brasero_app_recent_open), (brasero_app_add_recent),
	(brasero_app_parse_options):
	* src/metadata.c: (brasero_metadata_create_pipeline),
	(brasero_metadata_new):
	* src/play-list.c: (brasero_playlist_get_song_metadata_completed),
	(brasero_playlist_dialog_error), (brasero_playlist_parse_result),
	(brasero_playlist_entry_cb):
	* src/player-bacon.c: (brasero_player_bacon_set_uri):
	* src/player.c: (brasero_player_image),
	(brasero_player_update_info_real):
	* src/project.c: (brasero_project_set_audio),
	(brasero_project_set_data), (brasero_project_set_uri),
	(brasero_project_open_project_xml), (brasero_project_open_project),
	(brasero_project_save_project_xml),
	(brasero_project_save_project_real),
	(brasero_project_save_project_ask_for_path),
	(brasero_project_save_project), (brasero_project_save_project_as):
	* src/project.h:
	* src/recorder-selection.c:
	(brasero_recorder_selection_disc_image_properties):
	* src/search.c: (brasero_search_add_hit_to_tree):
	* src/utils.c: (brasero_utils_empty_dir),
	(brasero_utils_check_for_parent_symlink),
	(brasero_utils_get_symlink_target), (brasero_utils_launch_app),
	(brasero_utils_get_use_info_notebook):
	* src/utils.h:

	No comment
2006-09-18  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/brasero-project-manager.c:
	(brasero_project_manager_burn_iso):
	* src/burn-process.c: (brasero_process_stop):
	* src/project.c: (brasero_project_open_project),
	(brasero_project_save_project_real),
	(brasero_project_save_project), (brasero_project_save_project_as):

	Fixed a warning and add opened projects/files to recent manager

2006-09-18  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* configure.in:
	* data/gnome-mime-application-x-brasero.png:
	* data/icon-final-128x128.png:
	* data/icon-final-16x16.png:
	* data/icon-final-256x256.png:
	* data/icon-final-48x48.png:
	* data/icons/16x16/Makefile.am:
	* data/icons/16x16/brasero.png:
	* data/icons/24x24/Makefile.am:
	* data/icons/24x24/brasero.png:
	* data/icons/Makefile.am:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/brasero.svg:
	* po/LINGUAS:

	Updated to use LINGUAS file. Fix previous commit where files were forgotten

2006-09-18  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* configure.in:
	* data/Makefile.am:
	* src/main.c: (brasero_app_create_app):
	* src/utils.c: (brasero_utils_init):

	Update icons to use hicolor

2006-09-18  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* data/Makefile.am:
	* src/brasero-project-manager.c:
	(brasero_project_manager_register_menu):
	* src/main.c: (brasero_app_recent_open), (brasero_app_add_recent),
	(brasero_app_create_app):
	* src/menu.h:
	* src/project.c:

	Added recent file menu to open iso/toc images and brasero projects

2006-09-18  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/brasero-file-chooser.c: (brasero_file_chooser_init):
	* src/burn-dialog.c: (brasero_burn_dialog_save_log):
	* src/play-list.c: (brasero_playlist_add_cb):
	* src/project.c: (brasero_project_open_project),
	(brasero_project_save_project_xml),
	(brasero_project_save_project_real),
	(brasero_project_save_project_ask_for_path):
	* src/recorder-selection.c:
	(brasero_recorder_selection_image_properties):

	Allow open image dialog and main file browser to display remote files

2006-09-18  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/burn-options-dialog.c: (brasero_burn_option_dialog_new):

	Don't allow to add data to a disc if it's not appendable

2006-09-17  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	Some more changes and fixes required by ncb-2.16

2006-09-17  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* configure.in:
	* src/brasero-ncb.h:
	* src/brasero-project-size.c: (brasero_project_size_finalize),
	(brasero_project_size_add_real_medias):
	* src/burn-dialog.c: (brasero_burn_dialog_notify_daemon):
	* src/burn-options-dialog.c: (brasero_burn_option_dialog_init):
	* src/data-disc.c: (brasero_data_disc_finalize):
	* src/main.c: (main):
	* src/mime-filter.c: (brasero_mime_filter_add_mime),
	(brasero_mime_filter_add_filter):
	* src/project-type-chooser.c:
	(brasero_project_type_chooser_finalize):
	* src/project.c: (brasero_project_finalize):
	* src/recorder-selection.c:
	(brasero_recorder_selection_update_drive_info):
	* src/search-entry.c: (brasero_search_entry_finalize),
	(_add_mime_types_to_query):
	* src/song-properties.c: (brasero_song_props_init):

	Replaced/Removed deprecated functions/properties (gtk+ and ncb). Bumped requirements for ncb to 2.16

2006-09-17  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* configure.in:
	* src/Makefile.am:
	* src/burn-dialog.c: (brasero_burn_dialog_finalize),
	(brasero_burn_dialog_run):
	* src/eggtrayicon.c:
	* src/eggtrayicon.h:
	* src/tray.c: (brasero_tray_icon_get_type),
	(brasero_tray_icon_init), (brasero_tray_icon_finalize),
	(brasero_tray_icon_new), (brasero_tray_icon_set_tooltip),
	(brasero_tray_icon_set_progress),
	(brasero_tray_icon_menu_popup_cb), (brasero_tray_icon_activate_cb):
	* src/tray.h:

	Remove EggTrayIcon support and bump requirements for GTK+ 2.10
